#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_bridge_connector_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");
KSYMTAB_FUNC(drm_fb_helper_output_poll_changed, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x4b7c61b8, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x9a30fa40, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x33becf1c, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x9ef4686c, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x2dd9480d, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x42ebdcb9, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x86f6cf46, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x947da55c, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xab58e1db, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x7ad4779d, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x318d6edf, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xd19f403a, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x75246595, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x34086a0a, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0xf5426ce6, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x8047263a, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x942a7e40, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x8cb9c03d, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x90325420, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x2f2f692a, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x8c383f78, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0xc5f63c7e, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x61100ae7, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x88d1e3cd, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xc52ceba4, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x6f583a87, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x05e64e0f, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x2b3653a3, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x179197b1, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x963c365f, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x4568e472, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x607ec929, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x79c5c131, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x77618cc8, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0x6c4dae9d, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xd986fd79, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xa8a20f6e, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0xe31f6b9e, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x7a211887, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x40b2f449, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x169daf9c, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xeafaaecb, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xcaddee22, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xa1be3faf, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x59502b1b, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x27bbf43c, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xaff85667, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x922e2f7f, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x91bcdc2a, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x71d89249, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x4b2ca681, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0xa71beb24, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x8cc1b725, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x73b960ef, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xda6efea8, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xbf78afbd, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x97fe8a2b, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xe5d517ed, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x4e333b3d, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x94a03022, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x58173bd3, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x5f6405b5, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xbc5387dd, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xd0232acd, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xe58e2f8d, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x08cc21f2, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xdca18171, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x2d71bac4, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xd85e0794, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x71f60261, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xbb7786b7, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0xe077a5a4, "");
SYMBOL_CRC(drm_bridge_connector_init, 0x6026e67d, "_gpl");
SYMBOL_CRC(drm_helper_encoder_in_use, 0x09792be8, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x9908990a, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xb6f83e99, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x1c0919b3, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x756183e2, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x81aae9be, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x19ba3048, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xa2ab8db7, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xc2e6ae65, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x05df6aea, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xfc939480, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x942c42c7, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x899673e2, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x3e206880, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x0d1fc83b, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x67c4d5e7, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xdfea691b, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x25500a4b, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x9b432385, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x90a72154, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xf18bb18a, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x0a672dc4, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x335e3a28, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xf957ab76, "");
SYMBOL_CRC(drm_fb_swab, 0x3fd01afa, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x68af8b29, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x98d7979a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xed10f7dc, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x88181234, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x2a3a61ae, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x65f048e1, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x888518a2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xdd4abd09, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x5769b3ef, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x8e50c2b9, "");
SYMBOL_CRC(drm_fb_blit, 0xf8b27610, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xb9c46cdb, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0xb01e0fb8, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x0f547ddb, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xbcf642f5, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xdcc6528b, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x9117351f, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xcfe508d4, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x7fa57d51, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x7cf75545, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x5f66f59c, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x05ebc86b, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x70d07542, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x2d763ebe, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x1caa2f63, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xce6c5201, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xee6f93f8, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xcdaca3f3, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xb782890d, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x3d13a8ff, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0x461a8c14, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x45a9b6ed, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x6df45328, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xcc93d39c, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x83bc0df9, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x2037d8f3, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xc56248d2, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x5c416c43, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x2d1e2a39, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0xd8751a78, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xbff6994e, "");
SYMBOL_CRC(drm_crtc_init, 0xb1f75be3, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x18823e5d, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x13a51722, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x5c7516ff, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x73eb0be8, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x27990807, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x05648960, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x700f69f1, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xa890e375, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x45ce9bc7, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xd9925d7b, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x36b4a5c0, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x086e04ff, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x2fd1389f, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0xeefe4c49, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0x6f17968b, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xdf1bba24, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x3a50d615, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x5beb633f, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xb3dc860c, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xb4bf7fa0, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0xfa7aa50f, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0x3c272b9b, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x0774330e, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x95d72560, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x4cc494a6, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x49c0180c, "");
SYMBOL_CRC(drm_simple_encoder_init, 0xa2e4b56e, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xa2f77aa0, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xbc152cac, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0xb9c57bea, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xe5dbaafc, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xa13dabf0, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x999591f4, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x72768d9f, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xdf15bed1, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x03ba53e1, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xa4d62bed, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x0c4e685a, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x10dcc15e, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x59fa5130, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x8b079192, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0xbeac3e6d, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x77ab9b18, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x658aec7c, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x1bbed8e4, "");
SYMBOL_CRC(drm_fb_helper_init, 0x52f0e9f1, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x45d57ecc, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xdc89c260, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x2801f283, "");
SYMBOL_CRC(drm_fb_helper_fini, 0xef657ec4, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xb2c76b5d, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x915e1ae2, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xeb7064ae, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x90ffe55e, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x408c2736, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x83da4a7c, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x27535a64, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x32c46b4d, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xae669d9d, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x8127ea5d, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x78e53cd1, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xfc8c3aea, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x45359469, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x445752c1, "");
SYMBOL_CRC(drm_fb_helper_output_poll_changed, 0x301e08d8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3b0cebb, "unregister_framebuffer" },
	{ 0xf9f4e081, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xdb1acef6, "drm_framebuffer_cleanup" },
	{ 0x79d70798, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0x6f79d71d, "drm_panel_get_modes" },
	{ 0x9005f4be, "drm_gem_vmap_unlocked" },
	{ 0xed29eec3, "try_module_get" },
	{ 0xb0eba56b, "drm_connector_list_update" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x42e180c4, "drm_bridge_add" },
	{ 0x72060cb7, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0xbcdf7637, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x31160f16, "devm_kmalloc" },
	{ 0xbc64c08, "drm_client_rotation" },
	{ 0x5bf9eff5, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xcf0c70b7, "drm_framebuffer_init" },
	{ 0xbbd2dbf5, "drm_mode_validate_driver" },
	{ 0xa4ffe636, "drm_atomic_add_affected_planes" },
	{ 0x5a05f6ce, "dma_buf_end_cpu_access" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x547a96f9, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe2254f04, "drm_mode_probed_add" },
	{ 0x1acc2eef, "drm_atomic_add_affected_connectors" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x67b091db, "drm_gem_vunmap_unlocked" },
	{ 0x3f538225, "drm_bridge_hpd_enable" },
	{ 0xcb2622da, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x6b6bce8a, "drm_modeset_lock_all" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xa37c9cb2, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x342d950c, "drm_mode_object_get" },
	{ 0x602b4476, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x62c11945, "drm_driver_legacy_fb_format" },
	{ 0x625852bf, "drm_crtc_cleanup" },
	{ 0xf6473f3c, "drm_connector_list_iter_begin" },
	{ 0xc2be8d09, "drm_mode_set_config_internal" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xcebc3619, "framebuffer_alloc" },
	{ 0x76e43357, "drm_encoder_cleanup" },
	{ 0x34dac1e0, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0xb3750192, "drm_edid_valid" },
	{ 0x96de58d1, "drm_client_modeset_probe" },
	{ 0x1c2ddd7, "drm_warn_on_modeset_not_all_locked" },
	{ 0xc3789eb0, "drm_plane_get_damage_clips" },
	{ 0x48120258, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0x4b8aa7d4, "drm_add_modes_noedid" },
	{ 0xcdcb5217, "drm_bridge_remove" },
	{ 0x57e1dc9d, "drm_mode_object_put" },
	{ 0xc2a0ac15, "dev_driver_string" },
	{ 0xf8d3e10e, "drm_crtc_vblank_get" },
	{ 0xdc3a3eb8, "drm_gem_object_lookup" },
	{ 0x991b4af, "drm_crtc_send_vblank_event" },
	{ 0x1cdb2f19, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xb28a456c, "drm_atomic_normalize_zpos" },
	{ 0x8c255b17, "drm_edid_connector_update" },
	{ 0x8d65bfae, "drm_sysfs_hotplug_event" },
	{ 0x5b7069e1, "drm_bridge_hpd_disable" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5c4b21a3, "__drmm_add_action_or_reset" },
	{ 0x413fa896, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x30463347, "drm_connector_list_iter_end" },
	{ 0x99b69e63, "drm_atomic_set_crtc_for_plane" },
	{ 0xf453d4fb, "drm_bridge_edid_read" },
	{ 0xabc5aa2a, "drm_client_modeset_dpms" },
	{ 0x8f8019a, "drm_mode_prune_invalid" },
	{ 0x87e174f4, "drm_client_dev_hotplug" },
	{ 0x93343fdc, "_dev_info" },
	{ 0x75b6b1ae, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0xc41a2fe9, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x523b5204, "module_put" },
	{ 0xa4756208, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x14caf36a, "drm_atomic_get_crtc_state" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x1e88a263, "drm_client_init" },
	{ 0x3b618494, "drm_crtc_wait_one_vblank" },
	{ 0x69cc4dd0, "drm_crtc_next_vblank_start" },
	{ 0x275245a9, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x23a8fca3, "drm_modeset_lock" },
	{ 0x4e847d2f, "drm_client_modeset_commit_locked" },
	{ 0x6a4d97c1, "drm_modeset_unlock" },
	{ 0x3aec132a, "drm_panel_disable" },
	{ 0xb86427cd, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe20bc737, "drm_connector_init" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x6ffc39f, "devm_kfree" },
	{ 0x6b94868e, "_dev_err" },
	{ 0xb8ced7a, "drm_writeback_cleanup_job" },
	{ 0xadf3e154, "drm_modeset_lock_all_ctx" },
	{ 0xef704d4e, "i2c_unregister_device" },
	{ 0x9920ecf9, "drm_atomic_set_fb_for_plane" },
	{ 0xa439abe0, "__drm_universal_plane_alloc" },
	{ 0xdb606df0, "drm_edid_connector_add_modes" },
	{ 0x3c0b6d9c, "drm_probe_ddc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x661234da, "__devres_alloc_node" },
	{ 0x234f1ddd, "drm_edid_read" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x245cd1db, "drm_crtc_commit_wait" },
	{ 0xb4bcd13a, "drm_dev_has_vblank" },
	{ 0xf591dec, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0xf72b0b4b, "__drm_atomic_helper_disable_plane" },
	{ 0x7ad2bcef, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x3ff546ab, "drm_gem_handle_create" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x8d5be09, "drm_atomic_set_crtc_for_connector" },
	{ 0x691c4d7b, "drmm_connector_init" },
	{ 0x8b78e3b6, "drm_analog_tv_mode" },
	{ 0xef1f406b, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0xa5c0bcfc, "drm_mode_duplicate" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x9e5b6079, "drm_crtc_vblank_put" },
	{ 0x3aa19980, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x86f48170, "__drm_dev_dbg" },
	{ 0x1274067b, "drm_plane_get_damage_clips_count" },
	{ 0x2e98507f, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xca2d1aad, "drm_atomic_state_alloc" },
	{ 0x1dcec219, "drm_client_modeset_commit" },
	{ 0xe73ccc53, "_dev_warn" },
	{ 0x949e9d6e, "drmm_kmalloc" },
	{ 0xb25fc50a, "drm_atomic_bridge_chain_post_disable" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x1a11c087, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x68573720, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0xf3a64893, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xb4031e72, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xce2d4ecb, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xfa989de5, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xf71d16fa, "drm_connector_cleanup" },
	{ 0xa6032f6c, "drm_get_format_info" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x61d01fd0, "drm_universal_plane_init" },
	{ 0xcf23dbbc, "drm_any_plane_has_format" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x9fff491, "drm_connector_list_iter_next" },
	{ 0x61fdc49f, "drm_modeset_acquire_fini" },
	{ 0xfdba04c8, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x3c3e4781, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x905d0b2c, "param_ops_bool" },
	{ 0x3f709be, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x796d70df, "drm_modeset_backoff" },
	{ 0x657f0b18, "drm_panel_prepare" },
	{ 0x5c9d36a8, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x4fbf291, "drm_atomic_get_plane_state" },
	{ 0xc8feef9a, "drm_atomic_bridge_chain_check" },
	{ 0x64c3e076, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xfbeb277a, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x7592ad6b, "drm_property_blob_put" },
	{ 0x3ff5e4f5, "drm_mode_destroy" },
	{ 0x6bff81ce, "drm_bridge_attach" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x5018fe17, "drm_set_preferred_mode" },
	{ 0x33789a3d, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xe6e66a63, "drm_atomic_state_clear" },
	{ 0x6c04c689, "drm_mode_config_reset" },
	{ 0xccd37784, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xdaa7ea8c, "drm_modeset_drop_locks" },
	{ 0xed1a3758, "drmm_connector_hdmi_init" },
	{ 0xe34463d6, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x592c1db3, "drm_atomic_bridge_chain_disable" },
	{ 0x2a284347, "drm_mode_create_from_cmdline_mode" },
	{ 0x8257af90, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xede3e61e, "param_ops_int" },
	{ 0x8d9950d, "drm_atomic_nonblocking_commit" },
	{ 0xbd396778, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0x4de7d04e, "drm_master_internal_release" },
	{ 0x8495823, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x6afb8854, "drm_panel_unprepare" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x36b1f62d, "drm_atomic_add_encoder_bridges" },
	{ 0xb7560ad1, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xed61724, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,i2c-core");


MODULE_INFO(srcversion, "F8CFF7B983ED77BBC85BF00");
MODULE_INFO(rhelversion, "10.0");
