#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ibcm_reject_msg, "", "");
KSYMTAB_FUNC(ib_create_cm_id, "", "");
KSYMTAB_FUNC(ib_destroy_cm_id, "", "");
KSYMTAB_FUNC(ib_cm_listen, "", "");
KSYMTAB_FUNC(ib_cm_insert_listen, "", "");
KSYMTAB_FUNC(ib_send_cm_req, "", "");
KSYMTAB_FUNC(ib_send_cm_rep, "", "");
KSYMTAB_FUNC(ib_send_cm_rtu, "", "");
KSYMTAB_FUNC(ib_send_cm_dreq, "", "");
KSYMTAB_FUNC(ib_send_cm_drep, "", "");
KSYMTAB_FUNC(ib_send_cm_rej, "", "");
KSYMTAB_FUNC(ib_send_cm_mra, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_req, "", "");
KSYMTAB_FUNC(ib_send_cm_sidr_rep, "", "");
KSYMTAB_FUNC(ib_cm_notify, "", "");
KSYMTAB_FUNC(ib_cm_init_qp_attr, "", "");

SYMBOL_CRC(ibcm_reject_msg, 0x69824a14, "");
SYMBOL_CRC(ib_create_cm_id, 0xc3dced5c, "");
SYMBOL_CRC(ib_destroy_cm_id, 0xb2b47a35, "");
SYMBOL_CRC(ib_cm_listen, 0x8e6d2067, "");
SYMBOL_CRC(ib_cm_insert_listen, 0xf61e3320, "");
SYMBOL_CRC(ib_send_cm_req, 0x52b538e3, "");
SYMBOL_CRC(ib_send_cm_rep, 0x2f20c8e0, "");
SYMBOL_CRC(ib_send_cm_rtu, 0x65a11c14, "");
SYMBOL_CRC(ib_send_cm_dreq, 0x1f46bd51, "");
SYMBOL_CRC(ib_send_cm_drep, 0xae6dc54e, "");
SYMBOL_CRC(ib_send_cm_rej, 0x9546d3f5, "");
SYMBOL_CRC(ib_send_cm_mra, 0x91cdb1ee, "");
SYMBOL_CRC(ib_send_cm_sidr_req, 0xe6e60d15, "");
SYMBOL_CRC(ib_send_cm_sidr_rep, 0xc78e245f, "");
SYMBOL_CRC(ib_cm_notify, 0xaff84655, "");
SYMBOL_CRC(ib_cm_init_qp_attr, 0x65073d3d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc09755d5, "ib_unregister_client" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5b3f57d2, "ib_init_ah_attr_from_path" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xaca0aef0, "complete" },
	{ 0xec6d69be, "trace_raw_output_prep" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x3ff0a9c4, "__trace_trigger_soft_disabled" },
	{ 0x7cb4aa2b, "trace_event_printf" },
	{ 0x4f9f9bad, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9ce24d3, "rdma_query_gid" },
	{ 0xd1c4280d, "ib_port_register_client_groups" },
	{ 0x95739b10, "ib_modify_port" },
	{ 0x99310d11, "bpf_trace_run2" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x97a2cc0d, "trace_event_buffer_commit" },
	{ 0x35b615af, "rdma_create_ah" },
	{ 0x991df0b2, "ib_init_ah_attr_from_wc" },
	{ 0x416fb767, "ib_find_cached_pkey" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd2ee8e81, "ib_register_client" },
	{ 0x5fcf8ef7, "ib_unregister_mad_agent" },
	{ 0x454e1e56, "ib_post_send_mad" },
	{ 0x52f25eb8, "ib_create_send_mad" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xf7632f0, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x6758d022, "rdma_destroy_ah_attr" },
	{ 0xe9c26157, "ib_set_client_data" },
	{ 0xea761bc, "ib_get_cached_pkey" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x2fccd0de, "rdma_put_gid_attr" },
	{ 0xd8fea321, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe9e7c87e, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xf954fc72, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xe73ccc53, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0xb389ce74, "rdma_destroy_ah_user" },
	{ 0x1ea2680c, "ib_free_send_mad" },
	{ 0x8678214b, "ib_port_unregister_client_groups" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x5051fb99, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x4ac69922, "rdma_move_ah_attr" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd9c38835, "trace_event_buffer_reserve" },
	{ 0xcc86e211, "rdma_find_gid" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x88ae804a, "ib_free_recv_mad" },
	{ 0xbdead731, "ib_register_mad_agent" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x2633db63, "ib_modify_mad" },
	{ 0xc521b727, "ib_create_ah_from_wc" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "77A2E2E419D6724AFD4085A");
MODULE_INFO(rhelversion, "10.0");
