#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xeb6fabc2, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xdea52802, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xdd08c5e3, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xa8ebb68f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0xb3f639b2, "__skb_checksum_complete" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x7b4dede7, "skb_copy_bits" },
	{ 0xc68bddff, "__nlmsg_put" },
	{ 0xa0c2bf9f, "netdev_adjacent_change_commit" },
	{ 0x3d4955a9, "eth_mac_addr" },
	{ 0xb9a39596, "skb_put" },
	{ 0xc79f94b6, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x940065bb, "ip6_dst_hoplimit" },
	{ 0x86c7453e, "param_ops_ushort" },
	{ 0x833b5467, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x7de35718, "nla_put_64bit" },
	{ 0xa286d96c, "udp_sock_create4" },
	{ 0x96057c98, "udp_tunnel6_xmit_skb" },
	{ 0x34b55ba9, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x8eca57be, "__unregister_nexthop_notifier" },
	{ 0x4beca190, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8b702e4b, "eth_validate_addr" },
	{ 0xec92ea8e, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x5b17ab26, "rtnl_create_link" },
	{ 0xd45892eb, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xaad75daf, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xf19a2992, "ether_setup" },
	{ 0x5a8122c3, "udp_tunnel_drop_rx_port" },
	{ 0xb302c774, "netdev_upper_dev_link" },
	{ 0x9c010287, "pskb_expand_head" },
	{ 0x4e2a98f7, "register_pernet_subsys" },
	{ 0x8c06bbf4, "dev_addr_mod" },
	{ 0x9ca0a236, "eth_type_trans" },
	{ 0x2c68b392, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0xe7402b99, "__alloc_skb" },
	{ 0x7cd5c6dc, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x9037274c, "eth_gro_complete" },
	{ 0xf55ac97d, "rtnl_set_sk_err" },
	{ 0xf54e0c7c, "eth_gro_receive" },
	{ 0x3eb544d6, "rtnl_configure_link" },
	{ 0xe0ec3d50, "skb_tunnel_check_pmtu" },
	{ 0x9c75d347, "udp_tunnel_dst_lookup" },
	{ 0x9dd1e205, "rtnl_unicast" },
	{ 0x2d4fe363, "peernet2id" },
	{ 0xc9d29213, "__skb_get_hash_net" },
	{ 0x6459472b, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x3f324be5, "__dev_get_by_index" },
	{ 0x3e24fa4e, "rtnl_link_unregister" },
	{ 0xb81a4d0, "ipv6_stub" },
	{ 0xa1bbbdbd, "skb_pull" },
	{ 0x232eb9cd, "gro_find_complete_by_type" },
	{ 0xf0e8f342, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc4f36629, "dev_get_by_index_rcu" },
	{ 0x5c2647a1, "gro_cells_receive" },
	{ 0x544956a4, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xb62bc19e, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9ed8e073, "nla_put" },
	{ 0xc426e6df, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf3cd7684, "ip_mc_join_group" },
	{ 0x32ffb583, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x2c2bb154, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2b899ad, "ethtool_op_get_link" },
	{ 0xe26d751, "nexthop_find_by_id" },
	{ 0x9d6f8cfb, "arp_create" },
	{ 0xc674bc81, "__ethtool_get_link_ksettings" },
	{ 0x95dbffa2, "netdev_adjacent_change_prepare" },
	{ 0x1b977fb3, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd64b5b8c, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x416790c, "netdev_adjacent_change_abort" },
	{ 0x9eeb39e9, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6c90b223, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7c0e24e4, "__iptunnel_pull_header" },
	{ 0xf0c17720, "__pskb_pull_tail" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x965bfeda, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x826c553d, "setup_udp_tunnel_sock" },
	{ 0x47ae3896, "udp_sock_create6" },
	{ 0x64ca5bca, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1d803993, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x8f082c5b, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xcd031672, "nexthop_select_path" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd93cd818, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa85e6fb, "neigh_destroy" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x905d0b2c, "param_ops_bool" },
	{ 0x1aa5587c, "udp_tun_rx_dst" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0x819312ce, "rtnl_notify" },
	{ 0xf9cf6fdc, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc800e696, "__netif_rx" },
	{ 0x8d053777, "skb_clone" },
	{ 0xd05587a4, "metadata_dst_alloc" },
	{ 0x1fc8b970, "dst_release" },
	{ 0x452883c3, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xae88b4a0, "udp_tunnel_notify_del_rx_port" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xfdf970e7, "register_nexthop_notifier" },
	{ 0x6a7040d8, "ip_mc_leave_group" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xde126244, "gro_find_receive_by_type" },
	{ 0x8c908f09, "netdev_core_stats_inc" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x3f926f97, "netdev_info" },
	{ 0xec10116d, "neigh_lookup" },
	{ 0xfeb22df7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xf60af252, "register_netdevice" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "E3A6D522F4B1299F434C403");
MODULE_INFO(rhelversion, "10.0");
