#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0x1060755b, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0xc24eac05, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0xf0f6418d, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0x239be5c0, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0xaf974632, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0x508954e2, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0xfcf093a5, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0xc239fd69, "_gpl");
SYMBOL_CRC(qeth_xmit, 0x651f5438, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0x78b4fbd5, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0xc181b324, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x73b45f9a, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0xbf041db8, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0x3b70c761, "_gpl");
SYMBOL_CRC(qeth_poll, 0xf85493c9, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0x6d31a1c7, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0xf1540652, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0x0e244d92, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0x9d225a28, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0xf3b3b6e0, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0x1a836505, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0x0f8b8876, "_gpl");
SYMBOL_CRC(qeth_set_features, 0x23219c1f, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0x297d654b, "_gpl");
SYMBOL_CRC(qeth_features_check, 0x98e156a8, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0x18f81555, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0x455bdc4c, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0x46fe429f, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0xbd7f0235, "_gpl");
SYMBOL_CRC(qeth_open, 0xbc1c5878, "_gpl");
SYMBOL_CRC(qeth_stop, 0xef92d005, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85a8831a, "ccw_device_get_cssid" },
	{ 0xab07822c, "napi_alloc_skb" },
	{ 0x2f1876e7, "alloc_etherdev_mqs" },
	{ 0xcc2e151a, "ccw_device_halt" },
	{ 0x70d686c9, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x5a3bb64d, "qdio_shutdown" },
	{ 0xe9067c6b, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x14dcf2b1, "ccwgroup_set_offline" },
	{ 0x6277258e, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x4ffc36bf, "ccw_device_get_chid" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7b4dede7, "skb_copy_bits" },
	{ 0x67647b0e, "qdio_allocate" },
	{ 0xc71f3a83, "qdio_inspect_output_queue" },
	{ 0xb9a39596, "skb_put" },
	{ 0xa17abe7e, "skb_tstamp_tx" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x2d7e239, "netdev_update_features" },
	{ 0x833b5467, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98583458, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x2d4e372c, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xb8a117c1, "debug_set_level" },
	{ 0x6f8c32cf, "register_service_level" },
	{ 0xaa0d92e1, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0xf7369611, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x5a404c48, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3b7ca5e7, "qdio_add_bufs_to_output_queue" },
	{ 0x515013de, "__netif_napi_del" },
	{ 0x6cd4ec43, "kmem_cache_create" },
	{ 0xc2420305, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0xf19a2992, "ether_setup" },
	{ 0xc335b561, "qdio_get_ssqd_desc" },
	{ 0xd1e04c1b, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9c010287, "pskb_expand_head" },
	{ 0xf0fc8e6c, "wake_up_process" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x8c06bbf4, "dev_addr_mod" },
	{ 0x9ca0a236, "eth_type_trans" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0xd0396d19, "napi_complete_done" },
	{ 0x22f32b07, "alloc_netdev_mqs" },
	{ 0x5dad6171, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x5730468f, "unregister_service_level" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xe501f157, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x230535f0, "put_device" },
	{ 0xc3878bc5, "__napi_schedule" },
	{ 0x4d0bd912, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x79ac3f68, "netif_device_detach" },
	{ 0x126aee4b, "__free_pages" },
	{ 0x93343fdc, "_dev_info" },
	{ 0x2203351a, "napi_gro_receive" },
	{ 0xc616a99b, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xf21e4702, "ccwgroup_probe_ccwdev" },
	{ 0x5313961c, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x6b94868e, "_dev_err" },
	{ 0xfafb8271, "softnet_data" },
	{ 0xc9c26e21, "ccw_device_get_id" },
	{ 0xc602aaa6, "__root_device_register" },
	{ 0xb1e1ca04, "ccw_device_get_ciw" },
	{ 0x6a1f96f1, "netif_set_real_num_tx_queues" },
	{ 0xf0e8f342, "sk_skb_reason_drop" },
	{ 0xab032a5b, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xcd86aa0b, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x544956a4, "skb_push" },
	{ 0xe194d8be, "kmem_cache_free" },
	{ 0x61e86532, "ccwgroup_driver_register" },
	{ 0x528de57, "debugfs_remove" },
	{ 0x1adfa3ca, "napi_enable" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xc426e6df, "free_netdev" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfb40ca45, "__debug_sprintf_event" },
	{ 0x2b899ad, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xe923b175, "netif_tx_stop_all_queues" },
	{ 0xfe21360a, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x12e88e51, "ccw_device_set_offline" },
	{ 0xe73ccc53, "_dev_warn" },
	{ 0x7ffb661d, "ccw_driver_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x6b581055, "netif_schedule_queue" },
	{ 0xc8b83ad3, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0x6601d7ed, "kmem_cache_alloc_noprof" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0x409f9130, "netdev_set_tc_queue" },
	{ 0x137bb13c, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xf0c17720, "__pskb_pull_tail" },
	{ 0xf452981f, "__netdev_alloc_skb" },
	{ 0xe798236d, "jiffies" },
	{ 0xfed3f251, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2b2816c8, "debug_hex_ascii_view" },
	{ 0xf5abe25, "debug_unregister" },
	{ 0xdbfa6a0f, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0xd253fee1, "ccwgroup_driver_unregister" },
	{ 0x660473a9, "ccwgroup_remove_ccwdev" },
	{ 0x5c3263bd, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd6c0c9c6, "ccw_device_get_iid" },
	{ 0x47b7ed98, "debug_event_common" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2dee371d, "netif_carrier_off" },
	{ 0xb0653b9a, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7cbc6c5b, "ccw_device_set_online" },
	{ 0x740057b3, "netdev_set_num_tc" },
	{ 0xa5b88fea, "kobject_uevent" },
	{ 0x3039df8e, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x43695dcb, "single_release" },
	{ 0x80186e80, "qdio_add_bufs_to_input_queue" },
	{ 0xf9e5dafc, "skb_add_rx_frag_netmem" },
	{ 0x8e19b7df, "__napi_schedule_irqoff" },
	{ 0xbf5378ff, "napi_schedule_prep" },
	{ 0x48b79ec8, "napi_consume_skb" },
	{ 0xce8845aa, "debug_sprintf_view" },
	{ 0xcf929ac, "qdio_stop_irq" },
	{ 0x913d30b8, "napi_disable" },
	{ 0x2a9f2d43, "qdio_free" },
	{ 0x1591405f, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xbd396778, "debugfs_create_dir" },
	{ 0xf2feb450, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0x24ac9e0a, "ccw_driver_unregister" },
	{ 0x9fb12e9f, "skb_clone_tx_timestamp" },
	{ 0x24c454e2, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xc0124e9d, "ethtool_op_get_ts_info" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3354e80f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "3B7DDCE882ADA72FA06FE30");
MODULE_INFO(rhelversion, "10.0");
