#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xd93affea, "");
SYMBOL_CRC(sas_remove_host, 0xb84b4dc5, "");
SYMBOL_CRC(sas_get_address, 0x6c6132dc, "");
SYMBOL_CRC(sas_tlr_supported, 0xd032a911, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xd372a9ab, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x539b4f69, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x8aef1ff2, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x7a4486e1, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x14d69c99, "");
SYMBOL_CRC(sas_phy_add, 0xed7149e4, "");
SYMBOL_CRC(sas_phy_free, 0x6cbf9b5f, "");
SYMBOL_CRC(sas_phy_delete, 0xd0b4f0e3, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x9b4fae53, "");
SYMBOL_CRC(sas_port_alloc, 0x9af20b57, "");
SYMBOL_CRC(sas_port_alloc_num, 0x7dfac84b, "");
SYMBOL_CRC(sas_port_add, 0x275188ad, "");
SYMBOL_CRC(sas_port_free, 0x662ba6f3, "");
SYMBOL_CRC(sas_port_delete, 0x207b48a8, "");
SYMBOL_CRC(scsi_is_sas_port, 0x516f06f4, "");
SYMBOL_CRC(sas_port_get_phy, 0xf4192381, "");
SYMBOL_CRC(sas_port_add_phy, 0x57f38717, "");
SYMBOL_CRC(sas_port_delete_phy, 0xe44bc8f5, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x8b6c28a2, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xeaf87894, "");
SYMBOL_CRC(sas_end_device_alloc, 0xa3f1fb6d, "");
SYMBOL_CRC(sas_expander_alloc, 0x5bdc4688, "");
SYMBOL_CRC(sas_rphy_add, 0x748e0640, "");
SYMBOL_CRC(sas_rphy_free, 0x948255b4, "");
SYMBOL_CRC(sas_rphy_delete, 0xa35121e9, "");
SYMBOL_CRC(sas_rphy_unlink, 0xdec76787, "");
SYMBOL_CRC(sas_rphy_remove, 0x366d67c1, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x31519cd7, "");
SYMBOL_CRC(sas_attach_transport, 0x0fbd48d4, "");
SYMBOL_CRC(sas_release_transport, 0x55701f96, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4514e498, "device_for_each_child" },
	{ 0x6fbba66, "scsi_remove_host" },
	{ 0x230535f0, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x5d720103, "device_add" },
	{ 0x9b30923b, "transport_add_device" },
	{ 0x2eafe2b3, "transport_configure_device" },
	{ 0x175e7e18, "device_del" },
	{ 0x2945b9b, "transport_destroy_device" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xc2420305, "get_device" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x52b50466, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x766b8ec5, "scsi_scan_target" },
	{ 0xa48eb748, "bsg_setup_queue" },
	{ 0x98de1c15, "snprintf" },
	{ 0x750fbc3b, "bsg_remove_queue" },
	{ 0xdc0f5ab9, "transport_remove_device" },
	{ 0x4a36bde6, "scsi_remove_target" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x1fe536d3, "transport_class_register" },
	{ 0xae09b45d, "transport_class_unregister" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0x9537ed5a, "attribute_container_register" },
	{ 0x9d6abd70, "sysfs_remove_link" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x56bd49fd, "_dev_printk" },
	{ 0x30d760b2, "scsi_get_vpd_page" },
	{ 0x52d10dbb, "scsi_mode_sense" },
	{ 0x6598f227, "attribute_container_unregister" },
	{ 0xad72dc58, "scsi_is_host_device" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xe73ccc53, "_dev_warn" },
	{ 0x1fcf78e8, "bsg_job_done" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x35c2360f, "dma_opt_mapping_size" },
	{ 0xfc67642f, "device_initialize" },
	{ 0xba3c16c0, "dev_set_name" },
	{ 0x95a38fcc, "transport_setup_device" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7AB009310B47B7741CE38B8");
MODULE_INFO(rhelversion, "10.0");
