#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8deabed5, "set_capacity_and_notify" },
	{ 0x96b40d58, "set_disk_ro" },
	{ 0x99649b51, "scsi_print_sense_hdr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x6277258e, "vmemmap" },
	{ 0x52d10dbb, "scsi_mode_sense" },
	{ 0xe9b6a2c4, "bpf_trace_run4" },
	{ 0x8fe8b7fb, "scsi_device_get" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xba3c16c0, "dev_set_name" },
	{ 0xa3a5be95, "memmove" },
	{ 0x15ff8d41, "device_add_disk" },
	{ 0xec6d69be, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb6b88eb0, "device_unregister" },
	{ 0x3ff0a9c4, "__trace_trigger_soft_disabled" },
	{ 0x7cb4aa2b, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0xdd849d51, "scsi_get_sense_info_fld" },
	{ 0x30d760b2, "scsi_get_vpd_page" },
	{ 0xfc67642f, "device_initialize" },
	{ 0x4f9f9bad, "trace_event_raw_init" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3c6785b7, "block_pr_type_to_scsi" },
	{ 0x8c4f84b1, "scsicam_bios_param" },
	{ 0x52d611e9, "blk_mq_alloc_disk_for_queue" },
	{ 0xc2420305, "get_device" },
	{ 0xef5fb7c8, "scsi_command_normalize_sense" },
	{ 0x6f79375c, "mempool_free" },
	{ 0xb3d2c76d, "scsi_hostbyte_string" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x789fa78c, "scsi_device_set_state" },
	{ 0x97a2cc0d, "trace_event_buffer_commit" },
	{ 0x22f59025, "scsi_test_unit_ready" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x7c5df603, "scsi_block_when_processing_errors" },
	{ 0x92997ed8, "_printk" },
	{ 0x7cb9382e, "put_disk" },
	{ 0xf2cadbc3, "scsi_ioctl" },
	{ 0x230535f0, "put_device" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb401df3, "scsi_device_put" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xf7632f0, "perf_trace_run_bpf_submit" },
	{ 0xce6b12d, "blk_revalidate_disk_zones" },
	{ 0x5d720103, "device_add" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe58421b2, "sdev_prefix_printk" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x85abc85f, "strncmp" },
	{ 0x9d40789, "scsi_report_opcode" },
	{ 0xe9e7c87e, "trace_event_reg" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xecfc7302, "driver_unregister" },
	{ 0xaf3dd7dc, "scsi_logging_level" },
	{ 0xda2f0e90, "class_unregister" },
	{ 0xa97b2d31, "del_gendisk" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x175e7e18, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xd96de8cb, "__sysfs_match_string" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xedb0d088, "blk_integrity_profile_name" },
	{ 0x83fa8bc5, "param_ops_string" },
	{ 0xb78b267a, "disk_alloc_independent_access_ranges" },
	{ 0x8e5d712f, "scsi_alloc_sgtables" },
	{ 0x9d509dca, "init_opal_dev" },
	{ 0xe798236d, "jiffies" },
	{ 0x37546ef6, "scsi_print_command" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x5051fb99, "bpf_trace_run3" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x6cedf4df, "__scsi_register_driver" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xcda6598e, "blk_mq_freeze_queue" },
	{ 0xd9c38835, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xefe4fe55, "mempool_create_node_noprof" },
	{ 0x934b2c2, "scmd_printk" },
	{ 0x7d5aec05, "scsi_execute_cmd" },
	{ 0x935347e6, "scsi_free_sgtables" },
	{ 0x470ceae2, "disk_set_independent_access_ranges" },
	{ 0x2d9c62ce, "scsi_mode_select" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0x51316df1, "disk_check_media_change" },
	{ 0xcab25f90, "blk_mq_unfreeze_queue" },
	{ 0x19468884, "scsi_ioctl_block_when_processing_errors" },
	{ 0x5b5fe687, "queue_limits_commit_update" },
	{ 0x15352e8f, "blkdev_compat_ptr_ioctl" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x9b71321f, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfc34073, "blk_queue_rq_timeout" },
	{ 0x7ee9199d, "scsi_failures_reset_retries" },
	{ 0x74bf2e01, "scsi_pr_type_to_block" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x94eec10e, "scsi_set_medium_removal" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "37F59A4E867227CD50F650F");
MODULE_INFO(rhelversion, "10.0");
