#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vdpa_set_status, "", "");
KSYMTAB_FUNC(__vdpa_alloc_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_register_device, "_gpl", "");
KSYMTAB_FUNC(_vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_device, "_gpl", "");
KSYMTAB_FUNC(__vdpa_register_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_register, "_gpl", "");
KSYMTAB_FUNC(vdpa_mgmtdev_unregister, "_gpl", "");
KSYMTAB_FUNC(vdpa_get_config, "_gpl", "");
KSYMTAB_FUNC(vdpa_set_config, "_gpl", "");

SYMBOL_CRC(vdpa_set_status, 0x4ad3fd49, "");
SYMBOL_CRC(__vdpa_alloc_device, 0xa101ccfd, "_gpl");
SYMBOL_CRC(_vdpa_register_device, 0x8b2d1fc1, "_gpl");
SYMBOL_CRC(vdpa_register_device, 0x55963c00, "_gpl");
SYMBOL_CRC(_vdpa_unregister_device, 0x903af0db, "_gpl");
SYMBOL_CRC(vdpa_unregister_device, 0x61b08478, "_gpl");
SYMBOL_CRC(__vdpa_register_driver, 0x2e8f0671, "_gpl");
SYMBOL_CRC(vdpa_unregister_driver, 0xae1d85c4, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_register, 0xc22660e0, "_gpl");
SYMBOL_CRC(vdpa_mgmtdev_unregister, 0x76a1f8a4, "_gpl");
SYMBOL_CRC(vdpa_get_config, 0xdcebc689, "_gpl");
SYMBOL_CRC(vdpa_set_config, 0x04284340, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xd2510a63, "up_write" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x90d2eb48, "driver_set_override" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x18e44696, "bus_find_device" },
	{ 0x5d720103, "device_add" },
	{ 0x230535f0, "put_device" },
	{ 0xb6b88eb0, "device_unregister" },
	{ 0x8571e2d9, "driver_register" },
	{ 0xecfc7302, "driver_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9358c40c, "bus_for_each_dev" },
	{ 0x103bafd6, "down_read" },
	{ 0x555ccb97, "up_read" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x7de35718, "nla_put_64bit" },
	{ 0x9ed8e073, "nla_put" },
	{ 0xaf4a0252, "genl_unregister_family" },
	{ 0xacdf7cd9, "bus_unregister" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x42963388, "bus_register" },
	{ 0xea490c35, "genl_register_family" },
	{ 0x70f3059e, "dma_set_mask" },
	{ 0xc06c8b02, "dma_set_coherent_mask" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xba3c16c0, "dev_set_name" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xfc67642f, "device_initialize" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x98de1c15, "snprintf" },
	{ 0x44bc6129, "netlink_capable" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x5aa66bc1, "genlmsg_put" },
	{ 0x64ca5bca, "skb_trim" },
	{ 0xe7402b99, "__alloc_skb" },
	{ 0xf0e8f342, "sk_skb_reason_drop" },
	{ 0x807f9abf, "netlink_unicast" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FAF6B23787B9A49E44E8C70");
MODULE_INFO(rhelversion, "10.0");
