#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xfc14cf74, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x1993e09e, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xcfb1f972, "_gpl");
SYMBOL_CRC(fat_scan, 0x9252874f, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xf8c7c0a6, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xa6954c83, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x66f4c0f7, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x07a2c021, "_gpl");
SYMBOL_CRC(fat_getattr, 0x6197e386, "_gpl");
SYMBOL_CRC(fat_setattr, 0xaf449bb1, "_gpl");
SYMBOL_CRC(fat_attach, 0x3b3774b2, "_gpl");
SYMBOL_CRC(fat_detach, 0x029db802, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xebeb1eb4, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x1434b2a1, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x4cb86e44, "_gpl");
SYMBOL_CRC(fat_param_spec, 0x4dbd34a1, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x2435ce5e, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x2cfcd556, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xba37539e, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x576e1e55, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x9637c86a, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x95836adc, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xde54581f, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x1896e580, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xe8f00058, "_gpl");
SYMBOL_CRC(fat_update_time, 0x5aa368a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd68c0f6b, "filemap_fdatawrite" },
	{ 0xafec922b, "generic_fillattr" },
	{ 0x6bd009e4, "setattr_prepare" },
	{ 0x25feae64, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xcf4214eb, "sync_blockdev_nowait" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbbacd33, "make_vfsgid" },
	{ 0xe540f52c, "blk_start_plug" },
	{ 0xbebebb31, "clear_inode" },
	{ 0xdf2d2fbe, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x76312ae4, "fs_param_is_string" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc8c9a33c, "new_inode" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x51e25f88, "mark_buffer_dirty" },
	{ 0x5abf5547, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xb87733d3, "__find_get_block" },
	{ 0x561bd172, "filemap_fdatawrite_range" },
	{ 0x19221153, "inode_needs_sync" },
	{ 0x3e18f150, "__blockdev_direct_IO" },
	{ 0xe1cb5f30, "d_make_root" },
	{ 0x1c7493e4, "__bforget" },
	{ 0xdf02e7d6, "sb_set_blocksize" },
	{ 0x3244e343, "block_truncate_page" },
	{ 0x3a68541f, "write_dirty_buffer" },
	{ 0xad7a2394, "sync_filesystem" },
	{ 0x21af7fbf, "fsnotify" },
	{ 0x61f2aa5e, "current_time" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8d76e505, "from_vfsuid" },
	{ 0xb44165af, "inode_dio_wait" },
	{ 0xcb7bc01f, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0xbf51244f, "cont_write_begin" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xff7349ae, "iput" },
	{ 0x96574847, "fs_param_is_enum" },
	{ 0xf7c9e803, "fs_param_is_s32" },
	{ 0x7e1da110, "iter_file_splice_write" },
	{ 0x9461e4d5, "fs_param_is_bool" },
	{ 0x994dd206, "generic_file_write_iter" },
	{ 0x6cd4ec43, "kmem_cache_create" },
	{ 0x93a7d1a9, "sync_inode_metadata" },
	{ 0x1c9f3a4b, "make_vfsuid" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd2a2b7df, "fs_param_is_u32" },
	{ 0xa76aca83, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xb5fa9b8d, "block_invalidate_folio" },
	{ 0xb8bdad6b, "__breadahead" },
	{ 0xf5936803, "generic_write_end" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x25c81b74, "load_nls" },
	{ 0x56d71207, "generic_cont_expand_simple" },
	{ 0x36164906, "truncate_inode_pages_final" },
	{ 0xfd0ac23e, "generic_file_mmap" },
	{ 0xe68c0c1, "sync_mapping_buffers" },
	{ 0x16f82642, "ilookup" },
	{ 0x43984474, "invalidate_inode_buffers" },
	{ 0x1442154d, "blk_finish_plug" },
	{ 0xe420f82, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x484ad04a, "mnt_drop_write_file" },
	{ 0xa578797f, "fs_param_is_gid" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x8fb1e644, "inode_init_once" },
	{ 0x5b01f68, "compat_ptr_ioctl" },
	{ 0xdb83db1f, "__fsnotify_parent" },
	{ 0x800473f, "__cond_resched" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xd112d10a, "__brelse" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xa162390c, "generic_file_read_iter" },
	{ 0xeabdad72, "inode_maybe_inc_iversion" },
	{ 0x525e984a, "truncate_pagecache" },
	{ 0x8c9554bc, "sync_dirty_buffer" },
	{ 0xfb584c8a, "setattr_copy" },
	{ 0x2964612, "__wait_on_buffer" },
	{ 0x34eb900d, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x100c8ed4, "kmem_cache_alloc_lru_noprof" },
	{ 0xe194d8be, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf417582e, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x997e190d, "from_vfsgid" },
	{ 0x3f17f09c, "write_inode_now" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x5789e9bd, "d_obtain_alias" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xf7a1a662, "__bread_gfp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xb624a1a3, "block_dirty_folio" },
	{ 0x5e90fe55, "mpage_read_folio" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x756f48de, "__insert_inode_hash" },
	{ 0x1839a180, "buffer_migrate_folio" },
	{ 0x6601d7ed, "kmem_cache_alloc_noprof" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xc21bcadf, "from_kgid_munged" },
	{ 0x103bafd6, "down_read" },
	{ 0x6ad96eb9, "truncate_setsize" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x229ebdbd, "generic_encode_ino32_fh" },
	{ 0xd9f777de, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xefd243f2, "igrab" },
	{ 0x239cec72, "generic_read_dir" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc531a101, "mpage_readahead" },
	{ 0x50251b4d, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x13405381, "init_user_ns" },
	{ 0x183dfed2, "seq_write" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0xb0653b9a, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xb15a1ec7, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0x3ab7d988, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x7f4b5787, "generic_fh_to_parent" },
	{ 0x35c04943, "__fs_parse" },
	{ 0xb3ba1d47, "filemap_splice_read" },
	{ 0x98c22074, "from_kuid_munged" },
	{ 0x857401ad, "__generic_file_fsync" },
	{ 0x3c120142, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xb8286c3b, "__mark_inode_dirty" },
	{ 0x424cb8c0, "generic_file_llseek" },
	{ 0xe27ab1c5, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0x6f243d07, "mark_buffer_dirty_inode" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xb5ded284, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x5f68e66b, "fs_param_is_uid" },
	{ 0x3354e80f, "kmem_cache_destroy" },
	{ 0x385fa051, "blkdev_issue_discard" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "709335D3059913BE6DDFB0C");
MODULE_INFO(rhelversion, "10.0");
