#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x38d35bfd, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x97bc2004, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xff5d534a, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xd70dc00d, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x5c88bf6d, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xc259ac7c, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xfe95e103, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x8c6beb20, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x3267dbec, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x4a9ef140, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x36b3758b, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x7a381536, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd5b0747e, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x12c6535e, "ipv6_chk_addr_and_flags" },
	{ 0xc4f36629, "dev_get_by_index_rcu" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xfbd21337, "register_pernet_device" },
	{ 0x33982217, "xfrm6_tunnel_register" },
	{ 0x34b55ba9, "rtnl_link_register" },
	{ 0x50c9cb9a, "xfrm6_tunnel_deregister" },
	{ 0x63b3d04c, "unregister_pernet_device" },
	{ 0x9ed8e073, "nla_put" },
	{ 0xd45892eb, "unregister_netdevice_queue" },
	{ 0x8c06bbf4, "dev_addr_mod" },
	{ 0xfff3aea2, "rt6_lookup" },
	{ 0x1fc8b970, "dst_release" },
	{ 0x3f324be5, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xcedd6efc, "ip_tunnel_header_ops" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xa778cb8a, "init_net" },
	{ 0x22f32b07, "alloc_netdev_mqs" },
	{ 0x574b84bf, "register_netdev" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xc426e6df, "free_netdev" },
	{ 0x3e24fa4e, "rtnl_link_unregister" },
	{ 0xaa87046e, "ip6_local_out" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xec92ea8e, "gro_cells_init" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xf0c17720, "__pskb_pull_tail" },
	{ 0xf60af252, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe798236d, "jiffies" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xc41878a3, "netdev_state_change" },
	{ 0xacece2d0, "make_kuid" },
	{ 0xa17d1cbc, "ip6_redirect" },
	{ 0x6fc37fd0, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7b4dede7, "skb_copy_bits" },
	{ 0x9c002c39, "ip6_route_output_flags" },
	{ 0x32006b04, "xfrm_lookup" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x8f082c5b, "skb_scrub_packet" },
	{ 0xc7e25cc3, "skb_realloc_headroom" },
	{ 0x6c4f1f37, "skb_set_owner_w" },
	{ 0x833b5467, "consume_skb" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x93c66d5a, "ipv6_push_frag_opts" },
	{ 0x544956a4, "skb_push" },
	{ 0x28a56a83, "dst_cache_get" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf92bd505, "ipv6_dev_get_saddr" },
	{ 0xd1e078b2, "dst_cache_set_ip6" },
	{ 0xa85e6fb, "neigh_destroy" },
	{ 0x940065bb, "ip6_dst_hoplimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xaad75daf, "iptunnel_handle_offloads" },
	{ 0xd0afd789, "icmpv6_ndo_send" },
	{ 0xf4f528b9, "icmp_ndo_send" },
	{ 0xf0e8f342, "sk_skb_reason_drop" },
	{ 0x8d053777, "skb_clone" },
	{ 0xa1bbbdbd, "skb_pull" },
	{ 0x13aca4b8, "icmp6_send" },
	{ 0x5c2647a1, "gro_cells_receive" },
	{ 0x9ca0a236, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x201800d2, "__xfrm_policy_check" },
	{ 0x7c0e24e4, "__iptunnel_pull_header" },
	{ 0xd05587a4, "metadata_dst_alloc" },
	{ 0xc4692860, "ip_route_output_flow" },
	{ 0xb2a4afc9, "ip_route_input_noref" },
	{ 0x891bd6f0, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2a7ab347, "ns_capable" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x5c0b5260, "dev_get_tstats64" },
	{ 0x905d0b2c, "param_ops_bool" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "1034155423F4AC733C2FFEE");
MODULE_INFO(rhelversion, "10.0");
