#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xc8633a93, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x0b737929, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xe12e5202, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x0124fbda, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0xdd1220ab, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x53b124fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xafdf55b, "nf_ct_ext_add" },
	{ 0x859c9a2f, "nsh_pop" },
	{ 0x98ea816f, "nf_conntrack_find_get" },
	{ 0xd6094ca8, "nf_ct_set_timeout" },
	{ 0x1bec5ee9, "dev_get_stats" },
	{ 0xccda7c5, "__nla_put" },
	{ 0xed29eec3, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x5bad15c5, "dev_fill_metadata_dst" },
	{ 0xe9b6a2c4, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x7b4dede7, "skb_copy_bits" },
	{ 0xa56531af, "nf_ct_handle_fragments" },
	{ 0x3d4955a9, "eth_mac_addr" },
	{ 0xb9a39596, "skb_put" },
	{ 0xc8b2dba5, "genl_notify" },
	{ 0xbee954ba, "nsh_push" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x833b5467, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xde185295, "nf_ct_nat" },
	{ 0xd35a251a, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa1bede6, "skb_eth_pop" },
	{ 0xec6d69be, "trace_raw_output_prep" },
	{ 0x86832558, "skb_gso_validate_mac_len" },
	{ 0x7de35718, "nla_put_64bit" },
	{ 0xb9b65aea, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x3220ef32, "nf_ct_helper" },
	{ 0x3ff0a9c4, "__trace_trigger_soft_disabled" },
	{ 0x41823b23, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x7cb4aa2b, "trace_event_printf" },
	{ 0x68e3a21f, "rtnl_delete_link" },
	{ 0x34b55ba9, "rtnl_link_register" },
	{ 0x5bb4a6c0, "nf_connlabels_put" },
	{ 0x5aa66bc1, "genlmsg_put" },
	{ 0x9d337db7, "___pskb_trim" },
	{ 0x4f9f9bad, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x55b981f3, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0x97e9f098, "dev_set_promiscuity" },
	{ 0x594b11ab, "nf_ct_destroy_timeout" },
	{ 0x90aec856, "nf_ct_add_helper" },
	{ 0xd6ef0621, "nf_conntrack_helper_put" },
	{ 0x2b594d98, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7c33bdc4, "nf_ct_skb_network_trim" },
	{ 0xd45892eb, "unregister_netdevice_queue" },
	{ 0x6cd4ec43, "kmem_cache_create" },
	{ 0xf569239a, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0xf19a2992, "ether_setup" },
	{ 0xa0841143, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x9c010287, "pskb_expand_head" },
	{ 0xc2f0189e, "skb_csum_hwoffload_help" },
	{ 0x97a2cc0d, "trace_event_buffer_commit" },
	{ 0x8c06bbf4, "dev_addr_mod" },
	{ 0x20ee6b02, "nf_connlabels_replace" },
	{ 0x9ca0a236, "eth_type_trans" },
	{ 0x22f32b07, "alloc_netdev_mqs" },
	{ 0x2c68b392, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xb8570070, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xa00f8b96, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa46c1b2f, "skb_eth_push" },
	{ 0x690671b0, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe7402b99, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x78ce01f6, "skb_mpls_pop" },
	{ 0xcfdc9b34, "skb_vlan_pop" },
	{ 0x3374e523, "dst_init" },
	{ 0x523b5204, "module_put" },
	{ 0xa0d3d560, "ksize" },
	{ 0xc9d29213, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3e24fa4e, "rtnl_link_unregister" },
	{ 0xf7632f0, "perf_trace_run_bpf_submit" },
	{ 0xa778cb8a, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0xb81a4d0, "ipv6_stub" },
	{ 0xfa4831b1, "skb_mpls_update_lse" },
	{ 0xa1bbbdbd, "skb_pull" },
	{ 0x873e1c24, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0xf0e8f342, "sk_skb_reason_drop" },
	{ 0x807f9abf, "netlink_unicast" },
	{ 0xdc3c58b6, "bpf_trace_run5" },
	{ 0xc4f36629, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x544956a4, "skb_push" },
	{ 0xe194d8be, "kmem_cache_free" },
	{ 0xb62bc19e, "netdev_upper_dev_unlink" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x9ed8e073, "nla_put" },
	{ 0xe9e7c87e, "trace_event_reg" },
	{ 0x21849a84, "skb_ensure_writable" },
	{ 0xc426e6df, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf625c089, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x63b3d04c, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2b899ad, "ethtool_op_get_link" },
	{ 0xda38eb49, "__nf_conntrack_confirm" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x28e69a3, "nf_nat_helper_put" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6601d7ed, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf0c17720, "__pskb_pull_tail" },
	{ 0xfa7fa272, "nf_ct_delete" },
	{ 0xb974bd7b, "nf_conncount_init" },
	{ 0x98c12aba, "skb_vlan_push" },
	{ 0x965bfeda, "netif_rx" },
	{ 0xf452981f, "__netdev_alloc_skb" },
	{ 0xb73ba723, "netdev_master_upper_dev_link" },
	{ 0xc81b981, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x95344d24, "inet_proto_csum_replace16" },
	{ 0x64ca5bca, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x8f082c5b, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xbf11d13b, "nf_ct_deliver_cached_events" },
	{ 0x857bed68, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x68809dc7, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1ccd2e2f, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0xd9c38835, "trace_event_buffer_reserve" },
	{ 0xd262bd2e, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc9cb4c10, "inet_proto_csum_replace4" },
	{ 0x1185dd7, "nf_conncount_destroy" },
	{ 0x21ccfcdc, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0xf139d2db, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x678a2a55, "dev_get_by_name" },
	{ 0x8d053777, "skb_clone" },
	{ 0xd05587a4, "metadata_dst_alloc" },
	{ 0x1fc8b970, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x34fb655d, "peernet2id_alloc" },
	{ 0xa8df77d2, "nf_ct_get_tuplepr" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x25300939, "netdev_rx_handler_register" },
	{ 0xb5ee299c, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xaf4a0252, "genl_unregister_family" },
	{ 0x1a6e571d, "dev_disable_lro" },
	{ 0x48df3a49, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x62210190, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xea490c35, "genl_register_family" },
	{ 0xc61cf50c, "nf_ct_tmpl_free" },
	{ 0x2351a9a4, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xfc9f30cc, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0x58429ad3, "skb_mpls_push" },
	{ 0xfbd21337, "register_pernet_device" },
	{ 0xf1042c88, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x3354e80f, "kmem_cache_destroy" },
	{ 0xc10fac13, "__skb_vlan_pop" },
	{ 0x4d2e6b1a, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf60af252, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "B5503AE3B56F6287F4CC1D8");
MODULE_INFO(rhelversion, "10.0");
