#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x5e727de1, "");
SYMBOL_CRC(r5c_journal_mode_set, 0xc5a69b89, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96b40d58, "set_disk_ro" },
	{ 0x2d57da78, "register_md_personality" },
	{ 0x4f6ac385, "shrinker_alloc" },
	{ 0x6277258e, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe2038b5c, "__bio_add_page" },
	{ 0xe540f52c, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x11c7cb87, "md_bitmap_resize" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x4bf4d971, "md_find_rdev_rcu" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x7c43fed0, "mddev_resume" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc2c0e6e8, "md_bitmap_start_sync" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbe65d979, "md_bitmap_cond_end_sync" },
	{ 0x4d644ab8, "queue_limits_stack_bdev" },
	{ 0x63ae4c91, "md_error" },
	{ 0x273c139e, "async_xor_val_offs" },
	{ 0x51473316, "__cpu_present_mask" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xaa340288, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2974b66, "md_finish_reshape" },
	{ 0xa3b19c04, "__traceiter_block_bio_remap" },
	{ 0xa60f29e7, "async_gen_syndrome" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x66686931, "md_unregister_thread" },
	{ 0xe5f687d5, "sync_page_io" },
	{ 0xf0a0b680, "md_bitmap_close_sync" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x37ccc83f, "md_free_cloned_bio" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x6cd4ec43, "kmem_cache_create" },
	{ 0x47c87ed4, "kthread_park" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0x5920c032, "kernfs_notify" },
	{ 0xcde0a877, "shrinker_free" },
	{ 0x780baa6a, "md_wakeup_thread" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xff501dad, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0xb38012c6, "md_set_array_sectors" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xe7807bf4, "md_allow_write" },
	{ 0x953deddb, "rdev_clear_badblocks" },
	{ 0xf258142c, "radix_tree_lookup_slot" },
	{ 0x7adfa91a, "async_tx_quiesce" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xe04bca3f, "md_write_start" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xd255b1e4, "shrinker_register" },
	{ 0x5d16d8cd, "radix_tree_replace_slot" },
	{ 0x2e3479f1, "async_xor" },
	{ 0x126aee4b, "__free_pages" },
	{ 0xd96c501e, "async_xor_offs" },
	{ 0x1442154d, "blk_finish_plug" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xe4736ce0, "submit_bio" },
	{ 0x52b50466, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xb2b3d2b4, "kthread_unpark" },
	{ 0xbfb587ec, "bioset_exit" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x788d3e9f, "md_done_sync" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0xd61961ce, "bio_put" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x4e53f7e2, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x21399b57, "md_wait_for_blocked_rdev" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0xb0e7e140, "async_memcpy" },
	{ 0xb5a42d01, "mddev_update_io_opt" },
	{ 0x5f0d5e28, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x69cfacbb, "mddev_stack_rdev_limits" },
	{ 0xe194d8be, "kmem_cache_free" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x85abc85f, "strncmp" },
	{ 0xb70abd75, "mddev_unlock" },
	{ 0x5d85bb62, "__tracepoint_block_unplug" },
	{ 0xce75f9f2, "bio_chain" },
	{ 0x5cb31674, "__blk_trace_note_message" },
	{ 0x74e49bb8, "__traceiter_block_unplug" },
	{ 0x565897bd, "blkdev_issue_zeroout" },
	{ 0x61abf44e, "__cpuhp_state_add_instance" },
	{ 0x4025a372, "async_trigger_callback" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x80d2b3fe, "async_raid6_2data_recov" },
	{ 0x6f6a0346, "bio_add_page" },
	{ 0xad1a13d8, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf15cf8b2, "md_update_sb" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x300a13e6, "sysfs_create_group" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xda6fa05c, "_atomic_dec_and_lock_irqsave" },
	{ 0xfccbac1c, "md_flush_request" },
	{ 0xe2a1debf, "bio_init" },
	{ 0x91dbdda4, "md_register_thread" },
	{ 0xfb48ef73, "bio_alloc_clone" },
	{ 0x3e193101, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x6601d7ed, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x1290ddea, "md_account_bio" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x7ff08d09, "md_write_inc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x590caa4, "unregister_md_personality" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x40ae566f, "md_bitmap_unplug" },
	{ 0x9790dbde, "bio_uninit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x905d0b2c, "param_ops_bool" },
	{ 0xfbfd60f1, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x684f6f92, "async_syndrome_val" },
	{ 0xe091c977, "list_sort" },
	{ 0xb0402a79, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0653b9a, "seq_printf" },
	{ 0xd62f34b, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xbec3d5eb, "md_check_recovery" },
	{ 0x1fcdbf9c, "md_bitmap_endwrite" },
	{ 0xe00db6dc, "__tracepoint_block_bio_remap" },
	{ 0xe7e12522, "alloc_pages_noprof" },
	{ 0x3ab7d988, "blkdev_issue_flush" },
	{ 0xc9685deb, "mddev_suspend" },
	{ 0x5b5fe687, "queue_limits_commit_update" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6c00b1c9, "badblocks_check" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x7efa5ba3, "mempool_init_noprof" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x36370808, "md_init_stacking_limits" },
	{ 0x2cdd013a, "queue_limits_set" },
	{ 0x37a76619, "rdev_set_badblocks" },
	{ 0x2873a4b6, "bio_alloc_bioset" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xaca1bf67, "async_raid6_datap_recov" },
	{ 0xbb78ec0b, "submit_bio_wait" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0xc904c5b, "mempool_exit" },
	{ 0x3354e80f, "kmem_cache_destroy" },
	{ 0xcb52ec5d, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x385fa051, "blkdev_issue_discard" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "async_xor,async_pq,async_tx,async_memcpy,async_raid6_recov,raid6_pq");


MODULE_INFO(srcversion, "8932E48A2A68F2BE0CEB591");
MODULE_INFO(rhelversion, "10.0");
