#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_wc_support_get, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x0975d5e2, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x2d07e2a2, "");
SYMBOL_CRC(mlx5_is_roce_on, 0x8d5ffa6e, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x944fcede, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x1dd5612f, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x45b1a8f8, "");
SYMBOL_CRC(mlx5_cmd_check, 0xe46e55c5, "");
SYMBOL_CRC(mlx5_cmd_do, 0x525f2cce, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xd8662225, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x0baa71b9, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xb1236268, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x041fabbb, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xc76d437c, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xa43b9db3, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0x30cd3129, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0x38dcbec3, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0xc160e982, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x670bd842, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x8725f932, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x96d4eaf7, "");
SYMBOL_CRC(mlx5_eq_enable, 0x106046e7, "");
SYMBOL_CRC(mlx5_eq_disable, 0xdc82b6bb, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x697b91e9, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x07c50231, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0x4bdab97c, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0x70a8f306, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x8c0ed5f2, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0xd89a45b2, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0x82abbffd, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x1e92b75a, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xe166066a, "");
SYMBOL_CRC(mlx5_get_uars_page, 0x31b703dd, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x0e8d20d1, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xc2bca42d, "");
SYMBOL_CRC(mlx5_free_bfreg, 0xb7bf800a, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x8894e41c, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x193352c1, "");
SYMBOL_CRC(mlx5_create_cq, 0xa29bf62d, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x03cb758c, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x4fdab19a, "");
SYMBOL_CRC(mlx5_core_query_cq, 0x60ffe570, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x97be2859, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0xfa68655e, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x280177d6, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xc12a2cdb, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x4bcc6b00, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0x087d3ef3, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xe10f0f1c, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0xb5957ce3, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x35e5c28e, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x45551337, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0xda9cebf8, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x300aac40, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0xefed0b83, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0xb12559ca, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0x34b0c62d, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0x03ca7879, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x9fc20c87, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0x2ba3c27d, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0xb4f815be, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0xc063f2c7, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0x58d74575, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x792f3ae8, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0x6d865573, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x78a1dcb7, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0xa749a64d, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0x1d35d6ae, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0xc01f69c7, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xc710f1b8, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0xd0cb134a, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0x2dd1a6af, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0x27114b24, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0xd175086a, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x2c0e465c, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0x0885a2cf, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x248e926e, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x97a01b08, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0x08cca635, "");
SYMBOL_CRC(mlx5_core_create_psv, 0xb65740c6, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xf8e42c65, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0xed316ceb, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x4fd8adc2, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x56ebaf51, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0xc6258cb3, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0xea19e244, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x04696ff9, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0x6829c6db, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x1b1c7236, "");
SYMBOL_CRC(mlx5_core_query_rq, 0x5266e6a1, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x55920755, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x6fdd272f, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0xf202d54d, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xe866b326, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xb9f6648e, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xe25ba6c0, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0x54d0c184, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x733d34eb, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x462b013c, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0xcdcd8517, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0xdbc199be, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x0126f36a, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x68efddea, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x197788f9, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x8560306f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x525ea88f, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0x02137eac, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x61823b65, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0x408ce313, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xe39774a3, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0xe2259a47, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x9d5ef78b, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0xc351a7ec, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xd4618680, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x7e95f9e5, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0x0ca7723c, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0x12c1aa05, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0x4d5fde29, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xc36e1f77, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x68ed7ccf, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0xea67389a, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0x2d5c0b89, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0xecdeab63, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0xe74ffedd, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0xc4dbdd33, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0xf53b3594, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0xa39efa2f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xff2e4f52, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0x5ee49aeb, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0xc10d4053, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0xa8d4b867, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x18bb0a52, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x43764d59, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xc8737e65, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xc29afe01, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x7cb452c2, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x7deb6ac6, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0x772f01e1, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x8b8879e3, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x51371a99, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x04641715, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x1b2f4986, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0x6ebf5c1a, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xeb2ee9f4, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0xe7097f1f, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xb0705c10, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0x4bbc4e0d, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x0fad7fc7, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x2e8dcde8, "");
SYMBOL_CRC(mlx5_fc_create, 0x61861783, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0x86f8df4c, "");
SYMBOL_CRC(mlx5_fc_query, 0xaf0e8b4a, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0xeedbd6ee, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xeb2b4515, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0x3972d3c6, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xbeb5b79d, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x19e687a0, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x29466968, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0xe69ffec4, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x0892a77d, "");
SYMBOL_CRC(mlx5_lag_is_active, 0xe37e81a2, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x40bb9767, "");
SYMBOL_CRC(mlx5_lag_is_master, 0x359ae45e, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x7818b7e4, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0x24d92b9d, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0x65509f9a, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0x4008eb75, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x09ec6611, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x97ae9136, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0x0b9ef977, "");
SYMBOL_CRC(mlx5_notifier_register, 0x35d42374, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x83f640de, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xec2c25fe, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0xabf94cd2, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x15033203, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0xa5a1c7b8, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xc139aa2a, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0x7a6cb29e, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x73fc1d8e, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x63f5a6fa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xdae8aa4d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xb5ec5a13, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x12135c1c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xaf335351, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xbb07ebdf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x7bbc902c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xf52e1946, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0x36598567, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x6cd5a182, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x56aef9cf, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0xf06725b6, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x45d0a6f4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x45b52e00, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x33eb29aa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0x4d62e046, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0xb1f88a40, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0x8cfe2888, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0xeaeff0fe, "");
SYMBOL_CRC(mlx5_wc_support_get, 0xb5168ae6, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0xbd3b4381, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xbfe9a3da, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x648372c8, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xc7332765, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x8c3d1cd6, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0x2e060bab, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0x29f89b9a, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x021eb33f, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xca5b88ca, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x928a671f, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0xcd3ce3ed, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x14fb3f2d, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x77477450, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x768f44a5, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xe59e0713, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0x04ef4637, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xf2d7ae3d, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x7a70b17a, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0xa91877d9, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x87d487f0, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0xdd0ebb49, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0x9dff77a1, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0xb0d84258, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0xd64bf9c1, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x3d08fdcc, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x49566105, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x776f453e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92cb609e, "__tracepoint_xdp_exception" },
	{ 0x57a4701b, "__inet_lookup_established" },
	{ 0x1187c4b0, "xsk_tx_completed" },
	{ 0xab07822c, "napi_alloc_skb" },
	{ 0x2f1876e7, "alloc_etherdev_mqs" },
	{ 0x1deb495, "netdev_lower_get_next" },
	{ 0x6e2ad7b, "secpath_set" },
	{ 0xd56172c5, "flow_block_cb_lookup" },
	{ 0x8b9bdc33, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe2fc376c, "devl_rate_leaf_create" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x4d08274b, "xp_alloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xca7413ab, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf362cf85, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6277258e, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xa06e587a, "release_firmware" },
	{ 0x849d9ad7, "bpf_prog_put" },
	{ 0xdc923b6, "page_pool_get_stats" },
	{ 0xb1e8126c, "down_timeout" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe419e119, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xab95ca68, "pci_cfg_access_unlock" },
	{ 0x883ff854, "xp_dma_map" },
	{ 0xe9b6a2c4, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xa8727d31, "devlink_unregister" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x7b4dede7, "skb_copy_bits" },
	{ 0x15245007, "debugfs_attr_write" },
	{ 0xc6475f0a, "dma_pool_create" },
	{ 0xe42fed0c, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x7b46e180, "pci_msix_vec_count" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x7673ab03, "pci_enable_device" },
	{ 0xb9a39596, "skb_put" },
	{ 0xa17abe7e, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc79f94b6, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x10fe8d83, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5a3378a, "register_fib_notifier" },
	{ 0x2c3db9c7, "auxiliary_device_init" },
	{ 0x940065bb, "ip6_dst_hoplimit" },
	{ 0x2d7e239, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7e78db44, "flow_rule_match_enc_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x7908a326, "pci_alloc_irq_vectors" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98583458, "netif_napi_add_weight" },
	{ 0xacc9093b, "pci_enable_atomic_ops_to_root" },
	{ 0xec0ab3df, "seq_release" },
	{ 0x1bea57c2, "dev_add_pack" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xec6d69be, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xa88cc35d, "xsk_clear_tx_need_wakeup" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x19033ef0, "udp4_hwcsum" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0x2effda63, "devl_lock" },
	{ 0x31e99990, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xfadc1fa, "ndo_dflt_bridge_getlink" },
	{ 0x123684f9, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x599a9159, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x3ff0a9c4, "__trace_trigger_soft_disabled" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0xcbdaa356, "flow_rule_match_tcp" },
	{ 0x7d7e8d62, "__kmalloc_node_noprof" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xaa25adf2, "register_netdevice_notifier_dev_net" },
	{ 0x47720fac, "dma_unmap_page_attrs" },
	{ 0x7cb4aa2b, "trace_event_printf" },
	{ 0x9f3458c7, "devlink_health_reporter_create" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x23cefc01, "flow_rule_match_cvlan" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0xb1c02c44, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd566933c, "up" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0xf1ca1c06, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x59ba010, "pci_num_vf" },
	{ 0xb7d76cf4, "debugfs_create_atomic_t" },
	{ 0xba0a505a, "flow_rule_match_eth_addrs" },
	{ 0x60e733bf, "xfrm_state_check_expire" },
	{ 0xc6271b4c, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xf985b59f, "ptp_clock_index" },
	{ 0xfa00e984, "pci_request_regions" },
	{ 0x9d337db7, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4f9f9bad, "trace_event_raw_init" },
	{ 0x5a98c8b3, "flow_block_cb_free" },
	{ 0xd32ce3ae, "devl_port_fn_devlink_set" },
	{ 0x236c8c64, "memcpy" },
	{ 0x14376797, "xp_can_alloc" },
	{ 0x55b981f3, "psample_sample_packet" },
	{ 0x6e0f4fa4, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x3035fa0f, "devlink_alloc_ns" },
	{ 0x23bd8fef, "devl_rate_leaf_destroy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xc496fa39, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xfaeb9a06, "devlink_register" },
	{ 0x1536af19, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x5a404c48, "seq_lseek" },
	{ 0x5a0f3ce, "page_pool_destroy" },
	{ 0xdbb21321, "xdp_do_redirect" },
	{ 0xb2212647, "devlink_free" },
	{ 0xd7ac189a, "tls_get_record" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x99310d11, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0x51ca2f86, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x94d5c20a, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe61edfc9, "devl_rate_nodes_destroy" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6e16317, "pci_irq_vector" },
	{ 0xd710d3c0, "flow_rule_match_ipv4_addrs" },
	{ 0xc4692860, "ip_route_output_flow" },
	{ 0x515013de, "__netif_napi_del" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x6cd4ec43, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbfcfbb02, "__dynamic_dev_dbg" },
	{ 0x22439ba2, "sched_numa_hop_mask" },
	{ 0x3f6c226c, "sock_gen_put" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x9cdb10f3, "pci_unregister_driver" },
	{ 0xb928aa45, "netdev_rss_key_fill" },
	{ 0x909fda42, "blocking_notifier_chain_register" },
	{ 0x1ced94cc, "netdev_err" },
	{ 0x920945e0, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x35359463, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc2a0ac15, "dev_driver_string" },
	{ 0x7af02386, "netdev_port_same_parent_id" },
	{ 0x97a2cc0d, "trace_event_buffer_commit" },
	{ 0x8c06bbf4, "dev_addr_mod" },
	{ 0xa3cd84c7, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x42c66276, "ptp_find_pin" },
	{ 0x9ca0a236, "eth_type_trans" },
	{ 0xd59aad6f, "pci_read_config_dword" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x70681bf4, "request_firmware_direct" },
	{ 0xd95b4964, "flow_rule_match_icmp" },
	{ 0x151860d6, "auxiliary_driver_unregister" },
	{ 0x41819807, "dma_map_page_attrs" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0xd0396d19, "napi_complete_done" },
	{ 0x5dad6171, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x96caad88, "devlink_port_attrs_pci_vf_set" },
	{ 0x2b5dff18, "priv_to_devlink" },
	{ 0x1eec1238, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xfc36923f, "vlan_dev_vlan_proto" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x230535f0, "put_device" },
	{ 0x7f52071a, "net_dim" },
	{ 0xc3878bc5, "__napi_schedule" },
	{ 0x44ea8c65, "devlink_port_health_reporter_create" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0x6cc2fab3, "pcie_relaxed_ordering_enabled" },
	{ 0xef7301cf, "xsk_set_rx_need_wakeup" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x600e9cfb, "devlink_port_attrs_pci_pf_set" },
	{ 0xb70af3b6, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x79ac3f68, "netif_device_detach" },
	{ 0x126aee4b, "__free_pages" },
	{ 0x93343fdc, "_dev_info" },
	{ 0xcfdc9b34, "skb_vlan_pop" },
	{ 0x2203351a, "napi_gro_receive" },
	{ 0x72f0dc9, "netif_device_attach" },
	{ 0xa5438395, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc616a99b, "netdev_pick_tx" },
	{ 0x48c1c4eb, "flow_indr_dev_unregister" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0xfe51c78d, "xp_raw_get_dma" },
	{ 0x3f08ca2e, "eth_get_headlen" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xa51088db, "xdp_rxq_info_is_reg" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x181782f9, "flow_rule_match_enc_opts" },
	{ 0xc2c5802, "work_busy" },
	{ 0x72d50add, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xc2762f, "free_fib_info" },
	{ 0xd9d7b22b, "devl_health_reporter_create" },
	{ 0x22c15986, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb9dbd34e, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3b28dad6, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xed3aba10, "unregister_netdevice_notifier_dev_net" },
	{ 0x519236c8, "pci_find_capability" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0x9a8c5807, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x61f4733, "debugfs_attr_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x3de5cc7b, "flow_rule_match_ct" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x3afeefff, "vlan_dev_real_dev" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x3c5b7f80, "__dma_sync_single_for_cpu" },
	{ 0x8d85e54, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x3f324be5, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xf7632f0, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0xbf3e1d1d, "devlink_port_unregister" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xa4162301, "dev_get_port_parent_id" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x6b94868e, "_dev_err" },
	{ 0xa778cb8a, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0xfafb8271, "softnet_data" },
	{ 0xb81a4d0, "ipv6_stub" },
	{ 0xd3b543e0, "simple_open" },
	{ 0xa1bbbdbd, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x6df03f6f, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf0ad48bb, "simple_attr_release" },
	{ 0xa3607742, "ptp_clock_register" },
	{ 0x1c88cda, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x443bf5ca, "xsk_tx_peek_desc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x1b749136, "__traceiter_xdp_exception" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x6a1f96f1, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xf0e8f342, "sk_skb_reason_drop" },
	{ 0x5b8d4e23, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xe3cd6e13, "irq_get_irq_data" },
	{ 0xff46c434, "dev_remove_pack" },
	{ 0xf3d362c9, "netif_set_real_num_rx_queues" },
	{ 0x81b433f2, "down" },
	{ 0x9542c65, "dev_get_by_index" },
	{ 0xdc3c58b6, "bpf_trace_run5" },
	{ 0x8d07afdc, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xc4fa55ae, "skb_store_bits" },
	{ 0x7486e12c, "devl_port_register_with_ops" },
	{ 0xc4f36629, "dev_get_by_index_rcu" },
	{ 0xcd86aa0b, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0xa94ee689, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0xa2d02084, "pcie_capability_clear_and_set_word_locked" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x544956a4, "skb_push" },
	{ 0xe194d8be, "kmem_cache_free" },
	{ 0xed04955e, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x528de57, "debugfs_remove" },
	{ 0x20b78245, "pci_read_config_word" },
	{ 0x1adfa3ca, "napi_enable" },
	{ 0x85abc85f, "strncmp" },
	{ 0xd186edc1, "xsk_clear_rx_need_wakeup" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xbb0897d1, "unregister_netdevice_notifier_net" },
	{ 0x10dc97f9, "auxiliary_device_sysfs_irq_remove" },
	{ 0xb8f41c02, "xsk_uses_need_wakeup" },
	{ 0x574b84bf, "register_netdev" },
	{ 0xc4e99f45, "unregister_fib_notifier" },
	{ 0xe9e7c87e, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xbd3f109, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xd83aa091, "debugfs_create_u64" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xc426e6df, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0xfd5d302e, "debugfs_create_size_t" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x2a7cbd58, "devl_params_register" },
	{ 0x90bbbe7a, "dql_completed" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x6198569e, "page_pool_put_unrefed_netmem" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2b899ad, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xf78ee54, "netif_set_xps_queue" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc674bc81, "__ethtool_get_link_ksettings" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x15d85a57, "down_trylock" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x7d07e81d, "pci_restore_state" },
	{ 0xf954fc72, "bpf_trace_run1" },
	{ 0x9d620b07, "__inet6_lookup_established" },
	{ 0xfe21360a, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x175e7e18, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x8a74f7b1, "page_pool_create" },
	{ 0x91ed3ff2, "skb_checksum" },
	{ 0x15e78b6e, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xe73ccc53, "_dev_warn" },
	{ 0xb0128b80, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0xc9349199, "__kmalloc_cache_node_noprof" },
	{ 0x6f41a639, "irq_cpu_rmap_remove" },
	{ 0x75d1a328, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x8f882b31, "devl_resources_unregister" },
	{ 0xd57dc3b6, "ptp_clock_event" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x6b581055, "netif_schedule_queue" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x926164e7, "pci_set_master" },
	{ 0xbcecdafd, "devl_trap_groups_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xd1ec4a2b, "debugfs_create_u32" },
	{ 0x6601d7ed, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb9770cde, "flow_rule_match_ipv6_addrs" },
	{ 0x409f9130, "netdev_set_tc_queue" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x3faad814, "devl_params_unregister" },
	{ 0x40349584, "ptp_clock_unregister" },
	{ 0xf0c17720, "__pskb_pull_tail" },
	{ 0x37b805f7, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf452981f, "__netdev_alloc_skb" },
	{ 0x6108288f, "complete_all" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xed628a19, "devlink_trap_report" },
	{ 0xa2b98f1a, "__neigh_event_send" },
	{ 0x640e5677, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x17182683, "dev_printk_emit" },
	{ 0x103bafd6, "down_read" },
	{ 0x5d1bd19b, "devl_traps_register" },
	{ 0x761d9267, "devl_unlock" },
	{ 0x1d803993, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0xc06c8b02, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xc0d8f6b6, "__neigh_create" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x222071ea, "flow_rule_match_enc_control" },
	{ 0x5051fb99, "bpf_trace_run3" },
	{ 0xdbfa6a0f, "seq_read" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x857bed68, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x5c3263bd, "debugfs_create_file" },
	{ 0x4c224ad, "rps_may_expire_flow" },
	{ 0xd93cd818, "metadata_dst_free" },
	{ 0xe4a95266, "blocking_notifier_chain_unregister" },
	{ 0x96792f53, "xsk_set_tx_need_wakeup" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x1ccd2e2f, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd8c44cd7, "netdev_reset_tc" },
	{ 0xa85e6fb, "neigh_destroy" },
	{ 0x6c87d8e1, "dma_free_attrs" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0xd9c38835, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x9660815c, "debugfs_create_x32" },
	{ 0x6ad7b8, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd8874c90, "flow_rule_match_enc_ports" },
	{ 0xc17fcd5e, "xdp_return_frame_bulk" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2e92faee, "pci_release_regions" },
	{ 0x2dbdded8, "netif_queue_set_napi" },
	{ 0x4c378187, "__dma_sync_single_for_device" },
	{ 0x989e1516, "xa_destroy" },
	{ 0xda0c07d5, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xc6ccc3f3, "devl_assert_locked" },
	{ 0xd318138d, "pcie_print_link_status" },
	{ 0xdcf7411, "xp_set_rxq_info" },
	{ 0x7f84a4c4, "flow_rule_match_vlan" },
	{ 0xdae8d0e3, "devl_port_unregister" },
	{ 0x2a08002e, "xdp_rxq_info_unreg" },
	{ 0x556ce07b, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x64108f15, "devl_param_driverinit_value_get" },
	{ 0xede471f3, "napi_build_skb" },
	{ 0xc56afbfb, "netdev_master_upper_dev_get_rcu" },
	{ 0xb0402a79, "__folio_put" },
	{ 0x55789f08, "__xdp_rxq_info_reg" },
	{ 0x88cec790, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0xf139d2db, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9574acfe, "bpf_prog_inc" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x26e92262, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2dee371d, "netif_carrier_off" },
	{ 0xb0653b9a, "seq_printf" },
	{ 0xe9961354, "flow_rule_match_meta" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xe70e184a, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4523266c, "devlink_priv" },
	{ 0x8bb5fe7, "devlink_port_register_with_ops" },
	{ 0x412f2866, "pci_disable_sriov" },
	{ 0xd05587a4, "metadata_dst_alloc" },
	{ 0x1fc8b970, "dst_release" },
	{ 0x4682acca, "netif_carrier_on" },
	{ 0x740057b3, "netdev_set_num_tc" },
	{ 0x3039df8e, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x452883c3, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe7e12522, "alloc_pages_noprof" },
	{ 0xca4dbdb4, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x3637ccc2, "xp_free" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x9ecb7314, "page_pool_update_nid" },
	{ 0x43695dcb, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x70f3059e, "dma_set_mask" },
	{ 0x2712b703, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xa4eea396, "netif_set_tso_max_size" },
	{ 0xb3ba8e8, "vlan_dev_vlan_id" },
	{ 0x4c825ac1, "__skb_flow_dissect" },
	{ 0xb92d4794, "pci_msix_alloc_irq_at" },
	{ 0x9402fff7, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xf9e5dafc, "skb_add_rx_frag_netmem" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x1178aee8, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xee6b7fd3, "skb_coalesce_rx_frag" },
	{ 0xc531a87b, "xp_raw_get_data" },
	{ 0x20d3e1bd, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x70336943, "xa_set_mark" },
	{ 0xbf5378ff, "napi_schedule_prep" },
	{ 0x4323a60, "qdisc_reset" },
	{ 0x48b79ec8, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x58f26dc3, "xp_alloc_batch" },
	{ 0xfd634fb3, "flow_rule_match_mpls" },
	{ 0x913d30b8, "napi_disable" },
	{ 0x62210190, "dev_kfree_skb_any_reason" },
	{ 0xdf629ee, "dcb_ieee_delapp" },
	{ 0xb84d4107, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xeca8082e, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x480aa67, "debugfs_create_u8" },
	{ 0x1591405f, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xcf5235d5, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xbd396778, "debugfs_create_dir" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x60e6cc69, "skb_ext_add" },
	{ 0x45e83acb, "pcie_bandwidth_available" },
	{ 0x8fc23a8e, "pci_free_irq_vectors" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x80cc86ba, "flow_rule_match_control" },
	{ 0x550e447, "flow_rule_match_ip" },
	{ 0xf5109d11, "pci_enable_sriov" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xb88aa020, "auxiliary_device_sysfs_irq_add" },
	{ 0x141f9f40, "dcb_ieee_setapp" },
	{ 0x3db4cc6a, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xc1bacc78, "xsk_tx_release" },
	{ 0x6d4adf26, "devl_traps_unregister" },
	{ 0x17518c20, "pci_iov_get_pf_drvdata" },
	{ 0x86c29300, "pci_write_config_dword" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x98b541c8, "krealloc_noprof" },
	{ 0x3f926f97, "netdev_info" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xec10116d, "neigh_lookup" },
	{ 0x3354e80f, "kmem_cache_destroy" },
	{ 0x998472f3, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001023sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DFsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "2446CA64BAFA0DEC42CC892");
MODULE_INFO(rhelversion, "10.0");
