#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xeaeec1c9, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x5f05a6de, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x76a6c1d3, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x95f0fb48, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0x95d77ca0, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xf048e4a1, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0x6941333a, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xee216058, "_gpl");
SYMBOL_CRC(nd_device_notify, 0xc912e855, "");
SYMBOL_CRC(nvdimm_region_notify, 0x5aa2ddb0, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x358a5ce0, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0x95f81172, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xbe4299c9, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x0d824cfc, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0x0e45c691, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x161caacb, "");
SYMBOL_CRC(nd_device_unregister, 0x10479c69, "");
SYMBOL_CRC(__nd_driver_register, 0xb0c9b666, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xd963f6fe, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0xece0ebb6, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0x3eb09371, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x8b85fe08, "_gpl");
SYMBOL_CRC(to_ndd, 0x705fd0d5, "");
SYMBOL_CRC(nvdimm_name, 0xbe6f21dd, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x34f70e8b, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0xdf4cd5e8, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x85b1064a, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xd0fefb25, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x9f624164, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x926cfc69, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x80ae6cb2, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x6b152a26, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x9c55e515, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0xb962171b, "_gpl");
SYMBOL_CRC(to_nd_region, 0xad517271, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x6ff25408, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0xd81454ff, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x3d72d797, "");
SYMBOL_CRC(nd_region_acquire_lane, 0x616987ce, "");
SYMBOL_CRC(nd_region_release_lane, 0x4d951084, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x3d8007b5, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x27742257, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0xca84703f, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x8ab18f48, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x4f82157f, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x1f7ebef7, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0x0e44992e, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0xe9d5898f, "");
SYMBOL_CRC(pmem_sector_size, 0xdcd28387, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xd9700fa0, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x17ef3031, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0xe034a30e, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x80177afe, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xea392af9, "");
SYMBOL_CRC(devm_namespace_enable, 0xf1cb290e, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0xc650682b, "_gpl");
SYMBOL_CRC(badrange_init, 0x07b125d2, "_gpl");
SYMBOL_CRC(badrange_add, 0x8f12f4af, "_gpl");
SYMBOL_CRC(badrange_forget, 0xd425f7b5, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xb705c477, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xcbef1002, "");
SYMBOL_CRC(is_nd_btt, 0x79b4e6b1, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x3db1b50b, "");
SYMBOL_CRC(nd_btt_version, 0x5e2d6c8f, "");
SYMBOL_CRC(nd_btt_probe, 0x2a6d2860, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x96b40d58, "set_disk_ro" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xed29eec3, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x31160f16, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0xdabae70b, "devm_memremap" },
	{ 0xba3c16c0, "dev_set_name" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc45863cc, "badblocks_set" },
	{ 0xb6b88eb0, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xfc67642f, "device_initialize" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x510c26e9, "badblocks_exit" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4514e498, "device_for_each_child" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xc2420305, "get_device" },
	{ 0xd827fff3, "memremap" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xbfcfbb02, "__dynamic_dev_dbg" },
	{ 0x5920c032, "kernfs_notify" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xc2a0ac15, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0xf6710ca0, "__devm_request_region" },
	{ 0xff501dad, "__cpuhp_state_remove_instance" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x230535f0, "put_device" },
	{ 0x4f8cabff, "badblocks_show" },
	{ 0x230bca5e, "key_type_encrypted" },
	{ 0x93343fdc, "_dev_info" },
	{ 0x523b5204, "module_put" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x5b01f68, "compat_ptr_ioctl" },
	{ 0x7ee64330, "perf_pmu_migrate_context" },
	{ 0x7185aa46, "perf_pmu_register" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x16681388, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xacdf7cd9, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x6b94868e, "_dev_err" },
	{ 0x6ccc34dd, "sort" },
	{ 0x61c3b861, "__cpuhp_setup_state" },
	{ 0xa6e8dd1f, "devm_memunmap" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0x5d720103, "device_add" },
	{ 0x25473f9f, "noop_llseek" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x3d560174, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xecfc7302, "driver_unregister" },
	{ 0x61abf44e, "__cpuhp_state_add_instance" },
	{ 0xbdec5c54, "perf_pmu_unregister" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xda2f0e90, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x655b580f, "device_find_child" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xe73ccc53, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x103bafd6, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xe1e2a2b6, "kill_device" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x905d0b2c, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x40438d44, "__devm_release_region" },
	{ 0xb374330c, "request_key_tag" },
	{ 0xd74a2acd, "kernfs_put" },
	{ 0xc668ac23, "__register_chrdev" },
	{ 0xacdc07d6, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8e173ed, "_find_next_bit_le" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x6c00b1c9, "badblocks_check" },
	{ 0xd59e8acb, "__devm_add_action" },
	{ 0x71280d8a, "badblocks_clear" },
	{ 0xcea9308e, "devm_init_badblocks" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x8571e2d9, "driver_register" },
	{ 0x9b71321f, "class_register" },
	{ 0x7742b904, "__cpuhp_remove_state" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa51a2967, "_find_next_zero_bit_le" },
	{ 0x42963388, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3C3285E3C8D8132C7237BA3");
MODULE_INFO(rhelversion, "10.0");
