#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ism_register_client, "_gpl", "");
KSYMTAB_FUNC(ism_unregister_client, "_gpl", "");
KSYMTAB_FUNC(ism_register_dmb, "_gpl", "");
KSYMTAB_FUNC(ism_unregister_dmb, "_gpl", "");
KSYMTAB_FUNC(ism_move, "_gpl", "");
KSYMTAB_FUNC(ism_get_smcd_ops, "_gpl", "");

SYMBOL_CRC(ism_register_client, 0x77204be8, "_gpl");
SYMBOL_CRC(ism_unregister_client, 0xfe238376, "_gpl");
SYMBOL_CRC(ism_register_dmb, 0x50baea46, "_gpl");
SYMBOL_CRC(ism_unregister_dmb, 0xff7fc1a7, "_gpl");
SYMBOL_CRC(ism_move, 0xc105c375, "_gpl");
SYMBOL_CRC(ism_get_smcd_ops, 0x8268b5fe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x6277258e, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbab3f3da, "pci_request_selected_regions" },
	{ 0x8fd0f8e9, "pci_release_selected_regions" },
	{ 0xba3c16c0, "dev_set_name" },
	{ 0x35fed15f, "pci_enable_device_mem" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x7908a326, "pci_alloc_irq_vectors" },
	{ 0x47720fac, "dma_unmap_page_attrs" },
	{ 0xb1c02c44, "__pci_register_driver" },
	{ 0xea872313, "find_next_bit_inv" },
	{ 0xfc67642f, "device_initialize" },
	{ 0xaa0d92e1, "debug_register" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x37a0cba, "kfree" },
	{ 0x6e16317, "pci_irq_vector" },
	{ 0x9cdb10f3, "pci_unregister_driver" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x41819807, "dma_map_page_attrs" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xed48a163, "__zpci_store_block" },
	{ 0xb189d96a, "pci_select_bars" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5d720103, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xed04955e, "dma_alloc_attrs" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x175e7e18, "device_del" },
	{ 0xa55311ab, "folio_alloc_noprof" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x926164e7, "pci_set_master" },
	{ 0xc06c8b02, "dma_set_coherent_mask" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2b2816c8, "debug_hex_ascii_view" },
	{ 0xf5abe25, "debug_unregister" },
	{ 0x6c87d8e1, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x47b7ed98, "debug_event_common" },
	{ 0xb0402a79, "__folio_put" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xca4dbdb4, "pci_disable_device" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x70f3059e, "dma_set_mask" },
	{ 0xf2feb450, "debug_register_view" },
	{ 0x8fc23a8e, "pci_free_irq_vectors" },
	{ 0x8f5bf523, "__zpci_load" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001014d000004EDsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2D797ADAAD9C9573C31EAD3");
MODULE_INFO(rhelversion, "10.0");
