#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_phy_enable, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha_no_sync, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_find_attached_phy_id, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_single, "_gpl", "");
KSYMTAB_FUNC(sas_execute_internal_abort_dev, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_clear_task_set, "_gpl", "");
KSYMTAB_FUNC(sas_lu_reset, "_gpl", "");
KSYMTAB_FUNC(sas_query_task, "_gpl", "");
KSYMTAB_FUNC(sas_abort_task, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_register_ha, 0x4b284cb8, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0x8038da6a, "_gpl");
SYMBOL_CRC(sas_phy_enable, 0xf41cc21a, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0xd34b67df, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0xd4016e69, "");
SYMBOL_CRC(sas_resume_ha, 0x42018585, "");
SYMBOL_CRC(sas_resume_ha_no_sync, 0x069578f0, "");
SYMBOL_CRC(sas_suspend_ha, 0x1e3920ae, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0x89cf169f, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0x2d493aa6, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x175d49d9, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x78b48343, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xc7d985ea, "_gpl");
SYMBOL_CRC(sas_find_attached_phy_id, 0x72f3c971, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0x36075970, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xe7595975, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xd2fbf1ac, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x4dc2cdbc, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0xcaa5feb3, "_gpl");
SYMBOL_CRC(sas_ioctl, 0x24d60214, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0x1429de35, "_gpl");
SYMBOL_CRC(sas_device_configure, 0xf70741b3, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xfc94caed, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x2e360a1e, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_single, 0xe9bc13dd, "_gpl");
SYMBOL_CRC(sas_execute_internal_abort_dev, 0x1c2c5aff, "_gpl");
SYMBOL_CRC(sas_abort_task_set, 0x72e31378, "_gpl");
SYMBOL_CRC(sas_clear_task_set, 0x4aae2332, "_gpl");
SYMBOL_CRC(sas_lu_reset, 0x6b0c14f5, "_gpl");
SYMBOL_CRC(sas_query_task, 0x90f71fcc, "_gpl");
SYMBOL_CRC(sas_abort_task, 0xa0fe7368, "_gpl");
SYMBOL_CRC(sas_task_abort, 0xb9e6d9ad, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0x5702e1aa, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0xc27b926f, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xd2597767, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0xbe0c5585, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa06e587a, "release_firmware" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x366d67c1, "sas_rphy_remove" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x1fcf78e8, "bsg_job_done" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xdec76787, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x74e5810b, "scsi_schedule_eh" },
	{ 0x1ad140b4, "request_firmware" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x9af20b57, "sas_port_alloc" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc2657776, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xf4192381, "sas_port_get_phy" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x6cd4ec43, "kmem_cache_create" },
	{ 0xc2420305, "get_device" },
	{ 0x87fcab48, "hex2bin" },
	{ 0x14d69c99, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x230535f0, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x93343fdc, "_dev_info" },
	{ 0x6cbf9b5f, "sas_phy_free" },
	{ 0xd06b017c, "scsi_eh_finish_cmd" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24d273d1, "add_timer" },
	{ 0x275188ad, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x8b6c28a2, "sas_port_mark_backlink" },
	{ 0xe194d8be, "kmem_cache_free" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xa3f1fb6d, "sas_end_device_alloc" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xeaf87894, "sas_read_port_mode_page" },
	{ 0x5bdc4688, "sas_expander_alloc" },
	{ 0xe73ccc53, "_dev_warn" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa35121e9, "sas_rphy_delete" },
	{ 0xad72dc58, "scsi_is_host_device" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xfbd48d4, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x6601d7ed, "kmem_cache_alloc_noprof" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe9f8a755, "scsi_host_busy" },
	{ 0x207b48a8, "sas_port_delete" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x748e0640, "sas_rphy_add" },
	{ 0xe44bc8f5, "sas_port_delete_phy" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x948255b4, "sas_rphy_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x57f38717, "sas_port_add_phy" },
	{ 0x5f656549, "blk_mq_tagset_busy_iter" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x3fa8ed40, "scsi_done" },
	{ 0xb7b3a2d0, "scsi_unblock_requests" },
	{ 0xed7149e4, "sas_phy_add" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x393da8fd, "sg_copy_from_buffer" },
	{ 0x662ba6f3, "sas_port_free" },
	{ 0x3057043, "scsi_block_requests" },
	{ 0xbdbb6f89, "blk_abort_request" },
	{ 0xb988880e, "sg_copy_to_buffer" },
	{ 0xd93affea, "sas_remove_children" },
	{ 0x21f88522, "scsi_change_queue_depth" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x3354e80f, "kmem_cache_destroy" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "552A25E26E61D1DC089F8AE");
MODULE_INFO(rhelversion, "10.0");
