#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x81e23516, "");
SYMBOL_CRC(fc_host_post_event, 0xce6011a1, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0xf67b1d4e, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0x3ae71028, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x6aa7e8c2, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x7ad15af0, "");
SYMBOL_CRC(fc_eh_timed_out, 0x2a957803, "");
SYMBOL_CRC(fc_attach_transport, 0x7a4d3847, "");
SYMBOL_CRC(fc_release_transport, 0xa8a97ed2, "");
SYMBOL_CRC(fc_remove_host, 0xe316e7a3, "");
SYMBOL_CRC(fc_remote_port_add, 0x69c76117, "");
SYMBOL_CRC(fc_remote_port_delete, 0xe0db9a21, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0xc3325fe8, "");
SYMBOL_CRC(fc_block_rport, 0xab1895f6, "");
SYMBOL_CRC(fc_block_scsi_eh, 0x13b4dfe3, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x4e7564de, "_gpl");
SYMBOL_CRC(fc_vport_create, 0x0ec48072, "");
SYMBOL_CRC(fc_vport_terminate, 0x2935c8e9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x230535f0, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85abc85f, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x1fe536d3, "transport_class_register" },
	{ 0xae09b45d, "transport_class_unregister" },
	{ 0x1a68bd3a, "scsi_nl_sock" },
	{ 0xe7402b99, "__alloc_skb" },
	{ 0xc68bddff, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xa0841143, "netlink_broadcast_filtered" },
	{ 0x236c8c64, "memcpy" },
	{ 0xf0e8f342, "sk_skb_reason_drop" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x5794e7f8, "scsi_init_limits" },
	{ 0xa48eb748, "bsg_setup_queue" },
	{ 0xfc34073, "blk_queue_rq_timeout" },
	{ 0x6b94868e, "_dev_err" },
	{ 0xad72dc58, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6598f227, "attribute_container_unregister" },
	{ 0x766b8ec5, "scsi_scan_target" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0x9537ed5a, "attribute_container_register" },
	{ 0x750fbc3b, "bsg_remove_queue" },
	{ 0xafa9e668, "scsi_target_unblock" },
	{ 0x4a36bde6, "scsi_remove_target" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x70b3c48, "scsi_is_target_device" },
	{ 0xadc0e3b4, "scsi_host_put" },
	{ 0x9d6abd70, "sysfs_remove_link" },
	{ 0xdc0f5ab9, "transport_remove_device" },
	{ 0x175e7e18, "device_del" },
	{ 0x2945b9b, "transport_destroy_device" },
	{ 0x56bd49fd, "_dev_printk" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc2c043e2, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xeaca8276, "scsi_flush_work" },
	{ 0x2d9b77a4, "bsg_job_get" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd04fd5aa, "blk_mq_end_request" },
	{ 0xd67e3445, "bsg_job_put" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x6b7fcebd, "scsi_host_get" },
	{ 0xfc67642f, "device_initialize" },
	{ 0xc2420305, "get_device" },
	{ 0xba3c16c0, "dev_set_name" },
	{ 0x95a38fcc, "transport_setup_device" },
	{ 0x5d720103, "device_add" },
	{ 0x9b30923b, "transport_add_device" },
	{ 0x2eafe2b3, "transport_configure_device" },
	{ 0x52b50466, "sysfs_create_link" },
	{ 0x1fcf78e8, "bsg_job_done" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1b004729, "scsi_queue_work" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x18008837, "blk_mq_run_hw_queues" },
	{ 0xe42fed0c, "param_ops_uint" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C88E82FAC2DBB56396828B8");
MODULE_INFO(rhelversion, "10.0");
