#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x22b0c3eb, "iomap_readahead" },
	{ 0xafec922b, "generic_fillattr" },
	{ 0xe68ddad7, "bdev_file_open_by_path" },
	{ 0x4f6ac385, "shrinker_alloc" },
	{ 0xc56c3609, "xz_dec_microlzma_reset" },
	{ 0x6277258e, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe9b6a2c4, "bpf_trace_run4" },
	{ 0x3761d215, "idr_find" },
	{ 0xc3805cd1, "fs_ftype_to_dtype" },
	{ 0xe42fed0c, "param_ops_uint" },
	{ 0xdf2d2fbe, "generic_fh_to_dentry" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x15bed7a5, "LZ4_decompress_safe_partial" },
	{ 0x76312ae4, "fs_param_is_string" },
	{ 0xdbf98fec, "folio_unlock" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc8c9a33c, "new_inode" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xec6d69be, "trace_raw_output_prep" },
	{ 0xc7c1107a, "LZ4_decompress_safe" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x83f0ba9a, "init_special_inode" },
	{ 0x9af92884, "fs_dax_get_by_bdev" },
	{ 0x46e0c12e, "unregister_filesystem" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x3ff0a9c4, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x23efa8d9, "nop_posix_acl_access" },
	{ 0x74fb6571, "nop_posix_acl_default" },
	{ 0xe1cb5f30, "d_make_root" },
	{ 0x7cb4aa2b, "trace_event_printf" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0xdf02e7d6, "sb_set_blocksize" },
	{ 0xb409de2c, "read_cache_folio" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x26e0a3b7, "d_splice_alias" },
	{ 0x6dba9051, "xz_dec_microlzma_end" },
	{ 0x4fb5da55, "fs_put_dax" },
	{ 0x4f9f9bad, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x507144f4, "lockref_get_not_zero" },
	{ 0x93aa9ddf, "page_get_link" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x2387bd59, "dax_iomap_rw" },
	{ 0xff7349ae, "iput" },
	{ 0x4fa5ffaa, "kset_unregister" },
	{ 0x96574847, "fs_param_is_enum" },
	{ 0xc4c1f1ff, "generic_file_readonly_mmap" },
	{ 0x8416a857, "logfc" },
	{ 0x99310d11, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x2f1b82b5, "dax_iomap_fault" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x84383d6a, "register_filesystem" },
	{ 0x6cd4ec43, "kmem_cache_create" },
	{ 0x203c797d, "filemap_add_folio" },
	{ 0x12d61e42, "simple_get_link" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xcde0a877, "shrinker_free" },
	{ 0x97a2cc0d, "trace_event_buffer_commit" },
	{ 0x24d2942c, "iomap_invalidate_folio" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xbd00baea, "iomap_dio_rw" },
	{ 0xeca3cc6b, "kill_block_super" },
	{ 0x9698e714, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x1b49450e, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xacece2d0, "make_kuid" },
	{ 0xcb3b0a8e, "fs_kobj" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xd255b1e4, "shrinker_register" },
	{ 0x38112d88, "__filemap_get_folio" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x126aee4b, "__free_pages" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xc0fd237c, "xxh32" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe4736ce0, "submit_bio" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xf8bf90b2, "__folio_swap_cache_index" },
	{ 0x8fb1e644, "inode_init_once" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xd61961ce, "bio_put" },
	{ 0x855640bc, "readahead_expand" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4f8d9f77, "inode_nohighmem" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xf7632f0, "perf_trace_run_bpf_submit" },
	{ 0x49608959, "migrate_disable" },
	{ 0xa0f8a3ac, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0xfd76f166, "lockref_put_or_lock" },
	{ 0x42e9f1db, "mark_tech_preview" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x22b804d4, "thp_get_unmapped_area" },
	{ 0xee4d9395, "generic_ro_fops" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x34eb900d, "set_nlink" },
	{ 0x100c8ed4, "kmem_cache_alloc_lru_noprof" },
	{ 0xe194d8be, "kmem_cache_free" },
	{ 0x1844c497, "vm_map_ram" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0xe9e7c87e, "trace_event_reg" },
	{ 0xf6c3e4aa, "wait_for_completion_io" },
	{ 0x2b9c9b26, "vmap" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x7c2b8401, "kobject_init_and_add" },
	{ 0x6f6a0346, "bio_add_page" },
	{ 0xebcdc670, "alloc_pages_bulk_noprof" },
	{ 0xf32dc75b, "iov_iter_alignment" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x5789e9bd, "d_obtain_alias" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x1379a1d7, "folio_end_read" },
	{ 0x66d21c1e, "iomap_bmap" },
	{ 0xf954fc72, "bpf_trace_run1" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x7d2f76bb, "iomap_fiemap" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x6601d7ed, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x7098248, "xz_dec_microlzma_alloc" },
	{ 0x15bd7435, "psi_memstall_leave" },
	{ 0xfbf67f0c, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x103bafd6, "down_read" },
	{ 0x920b173, "lockref_mark_dead" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5051fb99, "bpf_trace_run3" },
	{ 0xa526b7ea, "iomap_read_folio" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0xb15b4109, "crc32c" },
	{ 0x229ebdbd, "generic_encode_ino32_fh" },
	{ 0x93cc1d86, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x239cec72, "generic_read_dir" },
	{ 0x275faacd, "kobject_del" },
	{ 0xd9c38835, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x13405381, "init_user_ns" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x183dfed2, "seq_write" },
	{ 0xb0402a79, "__folio_put" },
	{ 0x6877d311, "kobject_set_name" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0xd614aa28, "get_tree_bdev" },
	{ 0xb0653b9a, "seq_printf" },
	{ 0x929e95cf, "psi_memstall_enter" },
	{ 0xb3ce01d8, "filemap_read" },
	{ 0xe7e12522, "alloc_pages_noprof" },
	{ 0xd5c11df8, "__folio_lock" },
	{ 0xe0ffb39d, "pagecache_get_page" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x3c768b51, "xz_dec_microlzma_run" },
	{ 0xc22a3091, "vm_unmap_aliases" },
	{ 0x2e5cb3c4, "file_bdev" },
	{ 0x7f4b5787, "generic_fh_to_parent" },
	{ 0x35c04943, "__fs_parse" },
	{ 0xb3ba1d47, "filemap_splice_read" },
	{ 0x676155ff, "dotdot_name" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0x3d958acf, "iget5_locked" },
	{ 0xf6a1d16, "kset_register" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x3fd2571, "vm_unmap_ram" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0x424cb8c0, "generic_file_llseek" },
	{ 0x9922bb26, "iomap_release_folio" },
	{ 0x2873a4b6, "bio_alloc_bioset" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x2cf84a08, "iget_failed" },
	{ 0x80936bc5, "fs_bio_set" },
	{ 0x3354e80f, "kmem_cache_destroy" },
	{ 0x471421b5, "kobject_put" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A9E79D98409293F81D70A5D");
MODULE_INFO(rhelversion, "10.0");
