#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0xb3ce93a7, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0xbaeb8712, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0x02f040c9, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x76c8f575, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0xb236ceaa, "_gpl");
SYMBOL_CRC(lockd_up, 0x73909e94, "_gpl");
SYMBOL_CRC(lockd_down, 0x7ec1bce5, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0x30c36661, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x9cbde0a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65a4588c, "rpc_put_task" },
	{ 0x95ad060c, "svc_generic_rpcbind_set" },
	{ 0xacbe94be, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe9b6a2c4, "bpf_trace_run4" },
	{ 0xe42fed0c, "param_ops_uint" },
	{ 0xa12c40dd, "rpc_shutdown_client" },
	{ 0xbc489886, "svc_bind" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xf0450f54, "proc_create" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xa479ea60, "svc_recv" },
	{ 0x98de1c15, "snprintf" },
	{ 0x4eec5c33, "xdr_inline_decode" },
	{ 0xec6d69be, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x3ff0a9c4, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x7cb4aa2b, "trace_event_printf" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4f9f9bad, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x7cb68c0b, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xa4a239e8, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x97dfb54e, "svc_exit_thread" },
	{ 0x62aa0b9, "rpc_ntop" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x8595ae, "param_get_ulong" },
	{ 0x6060a372, "rpc_run_task" },
	{ 0x227f00c3, "__put_cred" },
	{ 0x4e2a98f7, "register_pernet_subsys" },
	{ 0x96112e2a, "locks_in_grace" },
	{ 0xf0fc8e6c, "wake_up_process" },
	{ 0x97a2cc0d, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xa2dc9935, "proc_dobool" },
	{ 0x4321c336, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xeeb6a4d7, "unregister_sysctl_table" },
	{ 0xde86ced0, "locks_release_private" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xb91f1220, "locks_init_lock" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x6e034bd4, "simple_transaction_release" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x2c4b7304, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4e8a0753, "svc_age_temp_xprts_now" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xf7632f0, "perf_trace_run_bpf_submit" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xa778cb8a, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0x261e7ed3, "svc_set_num_threads" },
	{ 0xa663ce5c, "svc_rpcb_cleanup" },
	{ 0x4dea1053, "memchr" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd1122534, "vfs_cancel_lock" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0xe9e7c87e, "trace_event_reg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x53445f68, "nlm_debug" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xd70cd3e9, "freezing_slow_path" },
	{ 0xca572b25, "rpc_create" },
	{ 0x6b85384, "svc_destroy" },
	{ 0xd1c09f52, "rpc_call_start" },
	{ 0x2b47755, "svc_create" },
	{ 0xe5613ea1, "default_llseek" },
	{ 0x35307f19, "rpc_call_sync" },
	{ 0xcb672c07, "proc_mkdir" },
	{ 0xd64b5b8c, "unregister_pernet_subsys" },
	{ 0x8210a9db, "register_sysctl_sz" },
	{ 0x9ccfdb12, "vfs_lock_file" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x5020a51, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x92f49682, "svc_generic_init_request" },
	{ 0x103bafd6, "down_read" },
	{ 0x94be3f00, "svc_set_client" },
	{ 0xeb0a35db, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0xfed3f251, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe8d77358, "rpc_force_rebind" },
	{ 0xd9c38835, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x905d0b2c, "param_ops_bool" },
	{ 0x726f07a3, "rpc_restart_call" },
	{ 0x963da2c8, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xd63ab464, "remove_proc_entry" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xec1b8f4a, "svc_find_xprt" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0x7d5711f4, "svc_print_addr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xf161d7b, "locks_delete_block" },
	{ 0x7ed6a11f, "locks_start_grace" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x47c1ace7, "param_get_int" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xf9e58289, "svc_xprt_create" },
	{ 0x3ccbd0e1, "rpc_wait_for_completion_task" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x8928d48c, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "CDF3F61DE034DD00883D175");
MODULE_INFO(rhelversion, "10.0");
