#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(netfs_readahead, "", "");
KSYMTAB_FUNC(netfs_read_folio, "", "");
KSYMTAB_FUNC(netfs_write_begin, "", "");
KSYMTAB_FUNC(netfs_buffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_file_read_iter, "", "");
KSYMTAB_FUNC(netfs_perform_write, "", "");
KSYMTAB_FUNC(netfs_buffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_file_write_iter, "", "");
KSYMTAB_FUNC(netfs_page_mkwrite, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_read_iter, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter_locked, "", "");
KSYMTAB_FUNC(netfs_unbuffered_write_iter, "", "");
KSYMTAB_FUNC(netfs_subreq_terminated, "", "");
KSYMTAB_FUNC(netfs_extract_user_iter, "_gpl", "");
KSYMTAB_FUNC(netfs_limit_iter, "", "");
KSYMTAB_FUNC(netfs_start_io_read, "", "");
KSYMTAB_FUNC(netfs_end_io_read, "", "");
KSYMTAB_FUNC(netfs_start_io_write, "", "");
KSYMTAB_FUNC(netfs_end_io_write, "", "");
KSYMTAB_FUNC(netfs_start_io_direct, "", "");
KSYMTAB_FUNC(netfs_end_io_direct, "", "");
KSYMTAB_DATA(__tracepoint_netfs_sreq, "", "");
KSYMTAB_FUNC(__traceiter_netfs_sreq, "", "");
KSYMTAB_DATA(__SCK__tp_func_netfs_sreq, "", "");
KSYMTAB_FUNC(netfs_dirty_folio, "", "");
KSYMTAB_FUNC(netfs_unpin_writeback, "", "");
KSYMTAB_FUNC(netfs_clear_inode_writeback, "", "");
KSYMTAB_FUNC(netfs_invalidate_folio, "", "");
KSYMTAB_FUNC(netfs_release_folio, "", "");
KSYMTAB_FUNC(netfs_write_subrequest_terminated, "", "");
KSYMTAB_FUNC(netfs_prepare_write_failed, "", "");
KSYMTAB_FUNC(netfs_writepages, "", "");
KSYMTAB_FUNC(netfs_stats_show, "", "");
KSYMTAB_DATA(fscache_addremove_sem, "", "");
KSYMTAB_DATA(fscache_clearance_waiters, "", "");
KSYMTAB_FUNC(fscache_acquire_cache, "", "");
KSYMTAB_FUNC(fscache_relinquish_cache, "", "");
KSYMTAB_FUNC(fscache_add_cache, "", "");
KSYMTAB_FUNC(fscache_io_error, "", "");
KSYMTAB_FUNC(fscache_withdraw_cache, "", "");
KSYMTAB_FUNC(fscache_end_cookie_access, "", "");
KSYMTAB_FUNC(fscache_cookie_lookup_negative, "", "");
KSYMTAB_FUNC(fscache_resume_after_invalidation, "", "");
KSYMTAB_FUNC(fscache_caching_failed, "", "");
KSYMTAB_FUNC(__fscache_acquire_cookie, "", "");
KSYMTAB_FUNC(__fscache_use_cookie, "", "");
KSYMTAB_FUNC(__fscache_unuse_cookie, "", "");
KSYMTAB_FUNC(fscache_withdraw_cookie, "", "");
KSYMTAB_FUNC(__fscache_relinquish_cookie, "", "");
KSYMTAB_FUNC(fscache_put_cookie, "", "");
KSYMTAB_FUNC(fscache_get_cookie, "", "");
KSYMTAB_FUNC(__fscache_invalidate, "", "");
KSYMTAB_FUNC(fscache_wait_for_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_read_operation, "", "");
KSYMTAB_FUNC(__fscache_begin_write_operation, "", "");
KSYMTAB_FUNC(__fscache_clear_page_bits, "", "");
KSYMTAB_FUNC(__fscache_write_to_cache, "", "");
KSYMTAB_FUNC(__fscache_resize_cookie, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_cache, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_cache, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_cache, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access_volume, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access_volume, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access_volume, "", "");
KSYMTAB_DATA(__tracepoint_fscache_access, "", "");
KSYMTAB_FUNC(__traceiter_fscache_access, "", "");
KSYMTAB_DATA(__SCK__tp_func_fscache_access, "", "");
KSYMTAB_DATA(fscache_wq, "", "");
KSYMTAB_FUNC(fscache_try_get_volume, "", "");
KSYMTAB_FUNC(fscache_end_volume_access, "", "");
KSYMTAB_FUNC(__fscache_acquire_volume, "", "");
KSYMTAB_FUNC(fscache_put_volume, "", "");
KSYMTAB_FUNC(__fscache_relinquish_volume, "", "");
KSYMTAB_FUNC(fscache_withdraw_volume, "", "");
KSYMTAB_DATA(fscache_n_updates, "", "");
KSYMTAB_DATA(fscache_n_read, "", "");
KSYMTAB_DATA(fscache_n_write, "", "");
KSYMTAB_DATA(fscache_n_no_write_space, "", "");
KSYMTAB_DATA(fscache_n_no_create_space, "", "");
KSYMTAB_DATA(fscache_n_culled, "", "");
KSYMTAB_DATA(fscache_n_dio_misfit, "", "");

SYMBOL_CRC(netfs_readahead, 0xaacd2357, "");
SYMBOL_CRC(netfs_read_folio, 0x7059a93b, "");
SYMBOL_CRC(netfs_write_begin, 0xa3dcbda5, "");
SYMBOL_CRC(netfs_buffered_read_iter, 0xd25c4fa9, "");
SYMBOL_CRC(netfs_file_read_iter, 0xdc245cf2, "");
SYMBOL_CRC(netfs_perform_write, 0x8ef59e4a, "");
SYMBOL_CRC(netfs_buffered_write_iter_locked, 0x4d3e852a, "");
SYMBOL_CRC(netfs_file_write_iter, 0x6a743218, "");
SYMBOL_CRC(netfs_page_mkwrite, 0xd26c7e76, "");
SYMBOL_CRC(netfs_unbuffered_read_iter_locked, 0xe292a784, "");
SYMBOL_CRC(netfs_unbuffered_read_iter, 0x955f6c67, "");
SYMBOL_CRC(netfs_unbuffered_write_iter_locked, 0x42f9f805, "");
SYMBOL_CRC(netfs_unbuffered_write_iter, 0xea582ee3, "");
SYMBOL_CRC(netfs_subreq_terminated, 0x4f6ee6b7, "");
SYMBOL_CRC(netfs_extract_user_iter, 0x4a67bc7f, "_gpl");
SYMBOL_CRC(netfs_limit_iter, 0x9b728052, "");
SYMBOL_CRC(netfs_start_io_read, 0x3e22ac7a, "");
SYMBOL_CRC(netfs_end_io_read, 0x89564521, "");
SYMBOL_CRC(netfs_start_io_write, 0x524cd9ec, "");
SYMBOL_CRC(netfs_end_io_write, 0xae422579, "");
SYMBOL_CRC(netfs_start_io_direct, 0x01129977, "");
SYMBOL_CRC(netfs_end_io_direct, 0x818bf040, "");
SYMBOL_CRC(__tracepoint_netfs_sreq, 0xd244949f, "");
SYMBOL_CRC(__traceiter_netfs_sreq, 0xcd1573ba, "");
SYMBOL_CRC(__SCK__tp_func_netfs_sreq, 0x895d0b7f, "");
SYMBOL_CRC(netfs_dirty_folio, 0x2b90a3fd, "");
SYMBOL_CRC(netfs_unpin_writeback, 0xf0d9f83f, "");
SYMBOL_CRC(netfs_clear_inode_writeback, 0x59de100a, "");
SYMBOL_CRC(netfs_invalidate_folio, 0x3527514f, "");
SYMBOL_CRC(netfs_release_folio, 0x7f118c87, "");
SYMBOL_CRC(netfs_write_subrequest_terminated, 0x50b9b4e5, "");
SYMBOL_CRC(netfs_prepare_write_failed, 0x2faf3580, "");
SYMBOL_CRC(netfs_writepages, 0xe052538c, "");
SYMBOL_CRC(netfs_stats_show, 0xb5dbd418, "");
SYMBOL_CRC(fscache_addremove_sem, 0xf68b44dc, "");
SYMBOL_CRC(fscache_clearance_waiters, 0xff20eabd, "");
SYMBOL_CRC(fscache_acquire_cache, 0x3fa214f6, "");
SYMBOL_CRC(fscache_relinquish_cache, 0x0fa54795, "");
SYMBOL_CRC(fscache_add_cache, 0x9ae9acad, "");
SYMBOL_CRC(fscache_io_error, 0x0f6f0f8c, "");
SYMBOL_CRC(fscache_withdraw_cache, 0x81106a44, "");
SYMBOL_CRC(fscache_end_cookie_access, 0x45e9e91c, "");
SYMBOL_CRC(fscache_cookie_lookup_negative, 0xe1cb82e9, "");
SYMBOL_CRC(fscache_resume_after_invalidation, 0x3f00cc79, "");
SYMBOL_CRC(fscache_caching_failed, 0xd468ef72, "");
SYMBOL_CRC(__fscache_acquire_cookie, 0x5cd86115, "");
SYMBOL_CRC(__fscache_use_cookie, 0x6b019e9e, "");
SYMBOL_CRC(__fscache_unuse_cookie, 0x773429b6, "");
SYMBOL_CRC(fscache_withdraw_cookie, 0xd1a29873, "");
SYMBOL_CRC(__fscache_relinquish_cookie, 0x09b0ff42, "");
SYMBOL_CRC(fscache_put_cookie, 0x27a7cf24, "");
SYMBOL_CRC(fscache_get_cookie, 0x23e556b0, "");
SYMBOL_CRC(__fscache_invalidate, 0x051bd3cb, "");
SYMBOL_CRC(fscache_wait_for_operation, 0x7fef7e93, "");
SYMBOL_CRC(__fscache_begin_read_operation, 0xeb0fb8e3, "");
SYMBOL_CRC(__fscache_begin_write_operation, 0xbefe8996, "");
SYMBOL_CRC(__fscache_clear_page_bits, 0x2bd0a3a2, "");
SYMBOL_CRC(__fscache_write_to_cache, 0x0fe72214, "");
SYMBOL_CRC(__fscache_resize_cookie, 0x7642c83d, "");
SYMBOL_CRC(__tracepoint_fscache_access_cache, 0x2b389369, "");
SYMBOL_CRC(__traceiter_fscache_access_cache, 0xae6040a5, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_cache, 0x4bd084ba, "");
SYMBOL_CRC(__tracepoint_fscache_access_volume, 0x71fb0e58, "");
SYMBOL_CRC(__traceiter_fscache_access_volume, 0x234a140d, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access_volume, 0x6e416521, "");
SYMBOL_CRC(__tracepoint_fscache_access, 0x77e19a42, "");
SYMBOL_CRC(__traceiter_fscache_access, 0xdcb87498, "");
SYMBOL_CRC(__SCK__tp_func_fscache_access, 0x306805d3, "");
SYMBOL_CRC(fscache_wq, 0xbca46908, "");
SYMBOL_CRC(fscache_try_get_volume, 0x69703b59, "");
SYMBOL_CRC(fscache_end_volume_access, 0xb1878458, "");
SYMBOL_CRC(__fscache_acquire_volume, 0x5e001d80, "");
SYMBOL_CRC(fscache_put_volume, 0x45834ea1, "");
SYMBOL_CRC(__fscache_relinquish_volume, 0x80f4fa00, "");
SYMBOL_CRC(fscache_withdraw_volume, 0xaab97c2d, "");
SYMBOL_CRC(fscache_n_updates, 0x4996bd29, "");
SYMBOL_CRC(fscache_n_read, 0x9ffefcb2, "");
SYMBOL_CRC(fscache_n_write, 0x1a0d09e7, "");
SYMBOL_CRC(fscache_n_no_write_space, 0xcce11a60, "");
SYMBOL_CRC(fscache_n_no_create_space, 0x4404d2aa, "");
SYMBOL_CRC(fscache_n_culled, 0x90d447f3, "");
SYMBOL_CRC(fscache_n_dio_misfit, 0x2acb5e19, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4380727, "vfs_fsync_range" },
	{ 0xff48aa68, "wbc_detach_inode" },
	{ 0x6277258e, "vmemmap" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe9b6a2c4, "bpf_trace_run4" },
	{ 0x1db6e01c, "kiocb_write_and_wait" },
	{ 0xe42fed0c, "param_ops_uint" },
	{ 0x7247e017, "filemap_range_has_page" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0xdbf98fec, "folio_unlock" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xec6d69be, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x3ff0a9c4, "__trace_trigger_soft_disabled" },
	{ 0x561bd172, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x503b5681, "iov_iter_advance" },
	{ 0x7cb4aa2b, "trace_event_printf" },
	{ 0x519d9222, "xas_find" },
	{ 0xa6ee484d, "folio_redirty_for_writepage" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4f9f9bad, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x2a63f2f4, "unmap_mapping_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaf1fc73a, "invalidate_inode_pages2_range" },
	{ 0xab7bdd79, "wbc_attach_and_unlock_inode" },
	{ 0x99310d11, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x7b17f0ee, "remove_proc_subtree" },
	{ 0x6cd4ec43, "kmem_cache_create" },
	{ 0x2a56a382, "folio_clear_dirty_for_io" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x97a2cc0d, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x194e7940, "__filemap_set_wb_err" },
	{ 0x38112d88, "__filemap_get_folio" },
	{ 0x285d925d, "filemap_invalidate_inode" },
	{ 0x405f2506, "folio_mark_dirty" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0xd1201ecd, "iov_iter_extract_pages" },
	{ 0x6e899155, "copy_page_from_iter_atomic" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xf8bf90b2, "__folio_swap_cache_index" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x380ec283, "bit_waitqueue" },
	{ 0x2718b0fa, "kmem_cache_size" },
	{ 0x766beed8, "mempool_alloc_noprof" },
	{ 0x855640bc, "readahead_expand" },
	{ 0xf98b8c48, "__inode_attach_wb" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x2bf9e493, "__folio_lock_killable" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xf7632f0, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xdc3c58b6, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4f2cbcee, "xas_load" },
	{ 0xda9c7fdf, "file_update_time" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xe194d8be, "kmem_cache_free" },
	{ 0x4a5eedfc, "seq_putc" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xe9e7c87e, "trace_event_reg" },
	{ 0x2ddaf160, "file_remove_privs" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x36ebf4d0, "__folio_start_writeback" },
	{ 0xf954fc72, "bpf_trace_run1" },
	{ 0xbef95bea, "folio_end_writeback" },
	{ 0xa55311ab, "folio_alloc_noprof" },
	{ 0x252fe7e4, "down_read_interruptible" },
	{ 0xcb672c07, "proc_mkdir" },
	{ 0x76f114ae, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9f027b32, "unpin_user_page" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x6601d7ed, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x163f82dc, "folio_end_private_2" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x6022d79a, "writeback_iter" },
	{ 0x103bafd6, "down_read" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0xe798236d, "jiffies" },
	{ 0x8a519603, "set_page_dirty" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x5051fb99, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0xd9c38835, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x79cd6498, "down_write_killable" },
	{ 0x50251b4d, "filemap_fdatawait_range" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x183dfed2, "seq_write" },
	{ 0xb0402a79, "__folio_put" },
	{ 0xd63ab464, "remove_proc_entry" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0653b9a, "seq_printf" },
	{ 0xfe20c7f2, "iov_iter_zero" },
	{ 0xabdbc16b, "touch_atime" },
	{ 0xb3ce01d8, "filemap_read" },
	{ 0x6ece3b35, "__percpu_down_read" },
	{ 0x27d5e628, "balance_dirty_pages_ratelimited_flags" },
	{ 0x4e9e6a05, "downgrade_write" },
	{ 0x2cad0c8c, "filemap_dirty_folio" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x2dd0043a, "rcuwait_wake_up" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xe8ff0114, "iov_iter_xarray" },
	{ 0xf04fa82, "proc_create_single_data" },
	{ 0xb3abcb7, "filemap_write_and_wait_range" },
	{ 0xf18f96e0, "folio_wait_writeback_killable" },
	{ 0x7efa5ba3, "mempool_init_noprof" },
	{ 0x92262f2d, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x9678f987, "generic_write_checks" },
	{ 0xe6a7e96a, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x40f159cb, "proc_create_seq_private" },
	{ 0xb17423a9, "folio_wait_private_2_killable" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x4de948b3, "iov_iter_npages" },
	{ 0xf3b07f48, "fault_in_iov_iter_readable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0xc904c5b, "mempool_exit" },
	{ 0x3354e80f, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "359C62054BFDBBB36AE16FC");
MODULE_INFO(rhelversion, "10.0");
