#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x03bed10b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfba9e65f, "nfs_clone_server" },
	{ 0x76c8f575, "nlmclnt_proc" },
	{ 0x72f2e854, "nfs_writeback_update_inode" },
	{ 0xe4b80191, "nfs_alloc_client" },
	{ 0xc3a18def, "nfs_dentry_operations" },
	{ 0xb77d520e, "xdr_write_pages" },
	{ 0x956f5ab5, "nfs_access_zap_cache" },
	{ 0xdcac5982, "nfs_wb_all" },
	{ 0x4eec5c33, "xdr_inline_decode" },
	{ 0x25259c6b, "forget_all_cached_acls" },
	{ 0x10368a01, "nfs_submount" },
	{ 0x34566b51, "__tracepoint_nfs_xdr_status" },
	{ 0x48c3a84f, "nfs_mknod" },
	{ 0x753540ab, "nfs_create_server" },
	{ 0x9f603a9b, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0x6a970ff7, "nfs_post_op_update_inode" },
	{ 0x62aa0b9, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x5423bed8, "xdr_read_pages" },
	{ 0x278c929, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x65f0c3ba, "nfs_create" },
	{ 0x20cce084, "nfs_mkdir" },
	{ 0xde49298, "nfs_revalidate_inode" },
	{ 0xdea787c8, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x406853b8, "nfs_try_get_tree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xacece2d0, "make_kuid" },
	{ 0xcaa5ee75, "nfs_get_client" },
	{ 0x126aee4b, "__free_pages" },
	{ 0xd1986a32, "nfs_file_operations" },
	{ 0x3db8bcc9, "get_inode_acl" },
	{ 0xb3ab2826, "nfs_put_lock_context" },
	{ 0x8aaea263, "nfs_rename" },
	{ 0xfe273dcd, "nfs_lookup" },
	{ 0xb6bc65a4, "__traceiter_nfs_xdr_bad_filehandle" },
	{ 0xb78a7db8, "nfs_sysfs_link_rpc_client" },
	{ 0xab308535, "nfsacl_encode" },
	{ 0xe427821e, "posix_acl_create" },
	{ 0x5b158916, "get_nfs_open_context" },
	{ 0xcb8a731d, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xd59a101a, "nfs_getattr" },
	{ 0x85c8e714, "nfs_zap_acl_cache" },
	{ 0xbcc60c8d, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xd6006990, "rpc_bind_new_program" },
	{ 0x56d37596, "register_nfs_version" },
	{ 0x366e19c0, "nfs_atomic_open_v23" },
	{ 0xd1c09f52, "rpc_call_start" },
	{ 0x35307f19, "rpc_call_sync" },
	{ 0xb1d064ce, "rpc_prepare_reply_pages" },
	{ 0x90446085, "nfs_fs_type" },
	{ 0x7f76bc31, "nfs_setattr" },
	{ 0xea909cfd, "xdr_terminate_string" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x5020a51, "rpc_delay" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xfbf67f0c, "make_kgid" },
	{ 0xc21bcadf, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xeb0a35db, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x93771499, "nfs_rmdir" },
	{ 0x8f7f20f9, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4dbdad15, "nfs_async_iocounter_wait" },
	{ 0xf53e6a5a, "nfs_setattr_update_inode" },
	{ 0xe83b01cf, "nfs_sops" },
	{ 0x13405381, "init_user_ns" },
	{ 0x726f07a3, "rpc_restart_call" },
	{ 0x3437c69a, "nfs_link" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0xf09bb4a2, "dput" },
	{ 0x46c4723c, "put_nfs_open_context" },
	{ 0x91845ae6, "nfs_permission" },
	{ 0xe7e12522, "alloc_pages_noprof" },
	{ 0xd8d27b01, "nfs_add_or_obtain" },
	{ 0x98c22074, "from_kuid_munged" },
	{ 0x76ca7e5d, "nfs_free_client" },
	{ 0x876f3090, "nfs_close_context" },
	{ 0x9f60b822, "nfs_refresh_inode" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0xe45af6e7, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xd8034e2e, "__traceiter_nfs_xdr_status" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x3e2f558, "nfs_symlink" },
	{ 0xea80a18e, "nfs_unlink" },
	{ 0x115db782, "forget_cached_acl" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "nfs,lockd,sunrpc,nfs_acl");


MODULE_INFO(srcversion, "068C620E1C66FFDA555A7C6");
MODULE_INFO(rhelversion, "10.0");
