#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x12405a4a, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0xf31d227e, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x86f10f6d, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x3cfa1659, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x92c2c287, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x792dad2b, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xfc439edf, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xc89e23e7, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x7f8b9d32, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x476e1168, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x821c9ef8, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x03585021, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xc3331772, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x1d8de482, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x5ffe7aa5, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x44904e60, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x802046c5, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x6df556ef, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0xd47333c2, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x60ab5090, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x02da1276, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xc9ae452c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0x1d57c82c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x359d6ac8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x0d381e90, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x2a33e687, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x8be24f50, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x8e06fc5f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xdd342fa8, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xe779a365, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x6e637af7, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xcc14ea8d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x555bb1db, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x6a0a176a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0x0bd06bd1, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x7a652458, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x18b41178, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x68d48b0b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x2f1e21ba, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xc1730ecc, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x2174b794, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x385e4287, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x39d8a50e, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x5233f2ac, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0x0ea40716, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x931b4dbf, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x13776549, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xeb271466, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x6bec9822, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0xf8b61e14, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xb4284c9b, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0xd7f00676, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x700af9f7, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0xefc9a8db, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x7eb36b9a, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xd974698f, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x125274e0, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x21da3153, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x38a1f941, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x239fae6d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x5beb29f8, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x6fd2abfd, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xbe0534f5, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x2ef3ce45, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x0186f7ca, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x0ce03f7f, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0xdbc6197c, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xd46ce78a, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xbe5035b9, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x32b4ed85, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xae48b7d1, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x7f960aa1, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xc93781da, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x96e2208b, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xaafb8a93, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x3291e67b, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xfa52aa37, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x52db4cdf, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xd7dfd55f, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x776de788, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xeac861cb, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xe37499d1, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0xd7ac6778, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xcd8e4beb, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x6dc4a019, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x1055c402, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x52749e33, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x5861c776, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x5aac7bc8, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x0906c7a0, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x58d21b8a, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x7e292357, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x11d645ea, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xe3a73ad6, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x037c0848, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xb072069c, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xfd2111d4, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x3e2b06b6, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xfdc4895f, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x7d7b5677, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x85c471e2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65a4588c, "rpc_put_task" },
	{ 0x95ad060c, "svc_generic_rpcbind_set" },
	{ 0xfba9e65f, "nfs_clone_server" },
	{ 0x45876824, "nfs_access_add_cache" },
	{ 0xd68c0f6b, "filemap_fdatawrite" },
	{ 0x2e9e7576, "nfs_show_stats" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xaf27fa9f, "nfs_server_remove_lists" },
	{ 0x4f6ac385, "shrinker_alloc" },
	{ 0x82914f7c, "nfs42_ssc_unregister" },
	{ 0x41abae0, "generic_listxattr" },
	{ 0xed29eec3, "try_module_get" },
	{ 0xd7a67894, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6277258e, "vmemmap" },
	{ 0x72f2e854, "nfs_writeback_update_inode" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbebebb31, "clear_inode" },
	{ 0xf6da53d9, "inode_to_bdi" },
	{ 0xe9b6a2c4, "bpf_trace_run4" },
	{ 0x916701a0, "user_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0xe42fed0c, "param_ops_uint" },
	{ 0xc263f799, "user_revoke" },
	{ 0x5d6ebe66, "d_exact_alias" },
	{ 0xe4b80191, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x133e683e, "nfs_mark_client_ready" },
	{ 0xff8cf473, "rpc_clnt_probe_trunked_xprts" },
	{ 0x34ab091b, "nfs_pageio_reset_read_mds" },
	{ 0xb77d520e, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xa12c40dd, "rpc_shutdown_client" },
	{ 0xbc489886, "svc_bind" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x79cae113, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xd9869dd5, "nfs_free_inode" },
	{ 0x956f5ab5, "nfs_access_zap_cache" },
	{ 0x8aca0b96, "nfs_sb_deactive" },
	{ 0xdcac5982, "nfs_wb_all" },
	{ 0x610165ee, "__break_lease" },
	{ 0x71e5d45b, "nfs_pageio_init_write" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xa479ea60, "svc_recv" },
	{ 0xda8fde4e, "nfs_drop_inode" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x4eec5c33, "xdr_inline_decode" },
	{ 0x59a9056f, "nfs_pageio_init_read" },
	{ 0xec6d69be, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x567844af, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x1f31ff93, "nfs_init_commit" },
	{ 0xe9970f55, "nfs_commitdata_release" },
	{ 0xa3aec6ef, "bpf_trace_run6" },
	{ 0x68a0c9c1, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb4b368a7, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x3ff0a9c4, "__trace_trigger_soft_disabled" },
	{ 0x48c3a84f, "nfs_mknod" },
	{ 0x9cd32cf8, "nfs_inode_attach_open_context" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xdfc94dce, "nfs4_label_alloc" },
	{ 0xf4adbf13, "rpc_localaddr" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x7cb4aa2b, "trace_event_printf" },
	{ 0x41db2064, "nfs_access_get_cached" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0xd5d530c5, "nfs_lock" },
	{ 0x4f3152c0, "unregister_key_type" },
	{ 0xf6eab0f1, "nfs_client_init_is_complete" },
	{ 0x556eaaee, "nfs_file_splice_read" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x26e0a3b7, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4f9f9bad, "trace_event_raw_init" },
	{ 0x95a49194, "user_preparse" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x4b7ffb80, "ihold" },
	{ 0x8048b8e6, "truncate_pagecache_range" },
	{ 0xef9e33b, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xaf1fc73a, "invalidate_inode_pages2_range" },
	{ 0x6a970ff7, "nfs_post_op_update_inode" },
	{ 0x97dfb54e, "svc_exit_thread" },
	{ 0xff7349ae, "iput" },
	{ 0x9a8d57b2, "xdr_set_pagelen" },
	{ 0xac1bf205, "nfs_pgio_header_free" },
	{ 0xd3811d72, "nfs_request_add_commit_list_locked" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x8416a857, "logfc" },
	{ 0xde461b4a, "nfs_pgio_header_alloc" },
	{ 0x7e1da110, "iter_file_splice_write" },
	{ 0x9dafaeca, "rpc_pton" },
	{ 0xc356a4ec, "nfs_sb_active" },
	{ 0xd6141800, "mod_node_page_state" },
	{ 0x62aa0b9, "rpc_ntop" },
	{ 0xacd7417a, "rpc_wake_up_queued_task" },
	{ 0x99310d11, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x9bf88e74, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xc588604b, "rpc_restart_call_prepare" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x169c54dc, "_copy_from_pages" },
	{ 0xf1bfc169, "__module_get" },
	{ 0x6cd4ec43, "kmem_cache_create" },
	{ 0x7ff36e6, "rpc_task_release_transport" },
	{ 0x9738a309, "xdr_page_pos" },
	{ 0x5282f517, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x62a98f3f, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xeddb1b37, "key_instantiate_and_link" },
	{ 0x2330ceef, "trace_print_hex_seq" },
	{ 0x4dda726b, "match_strlcpy" },
	{ 0x5423bed8, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x5b62889e, "register_key_type" },
	{ 0x3aff35d7, "rpc_sleep_on" },
	{ 0x6060a372, "rpc_run_task" },
	{ 0xba2cdd97, "nfs_pageio_resend" },
	{ 0x1385836b, "keyring_alloc" },
	{ 0xfc71c326, "vfs_setpos" },
	{ 0x65f0c3ba, "nfs_create" },
	{ 0x4367d82, "complete_request_key" },
	{ 0x227f00c3, "__put_cred" },
	{ 0x2d2e8478, "nfs_update_delegated_mtime" },
	{ 0xe1fccc01, "nfs_statfs" },
	{ 0xf0fc8e6c, "wake_up_process" },
	{ 0xcde0a877, "shrinker_free" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xab692ad, "splice_file_range" },
	{ 0x707e0d8c, "rpc_max_bc_payload" },
	{ 0x97a2cc0d, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0xedbf8a71, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x4321c336, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x20cce084, "nfs_mkdir" },
	{ 0xde49298, "nfs_revalidate_inode" },
	{ 0x9951f20, "inode_newsize_ok" },
	{ 0xc4440825, "nfs_file_mmap" },
	{ 0xdea787c8, "nfs_get_lock_context" },
	{ 0xe23ae6c8, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x9274c8cd, "nfs_set_cache_invalid" },
	{ 0xeebe01c2, "rpc_release_client" },
	{ 0x651a58a9, "rpc_clnt_manage_trunked_xprts" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb8b25a8e, "xdr_enter_page" },
	{ 0x283ce678, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xeeb6a4d7, "unregister_sysctl_table" },
	{ 0x1e6ac222, "nfs_generic_pgio" },
	{ 0xacece2d0, "make_kuid" },
	{ 0x36164906, "truncate_inode_pages_final" },
	{ 0xaac04eb0, "generic_setlease" },
	{ 0x959a6459, "__kmalloc_large_noprof" },
	{ 0xedf8856f, "xprt_destroy_backchannel" },
	{ 0x912b674e, "rpc_switch_client_transport" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x76833fb, "nfs_scan_commit_list" },
	{ 0x33163338, "xdr_stream_decode_string_dup" },
	{ 0x3534b161, "nfs_commit_inode" },
	{ 0xd255b1e4, "shrinker_register" },
	{ 0xb91f1220, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0xf0a0f127, "rpc_destroy_pipe_data" },
	{ 0xcaa5ee75, "nfs_get_client" },
	{ 0x126aee4b, "__free_pages" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x3ceb9fad, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x3d80a52c, "nfs_atomic_open" },
	{ 0x6f5a9563, "rpc_pipe_generic_upcall" },
	{ 0x49a37c0d, "nfs_file_fsync" },
	{ 0x523b5204, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x18a643ac, "mntput" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb3ab2826, "nfs_put_lock_context" },
	{ 0x8aaea263, "nfs_rename" },
	{ 0xfe273dcd, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb78a7db8, "nfs_sysfs_link_rpc_client" },
	{ 0x1c47f72d, "nfs_put_client" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x3f06a861, "nfs_show_options" },
	{ 0xfba43fa7, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x16681388, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xd76f9744, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x5b158916, "get_nfs_open_context" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xf7632f0, "perf_trace_run_bpf_submit" },
	{ 0x92d73193, "nfs_clear_verifier_delegated" },
	{ 0xa866339, "nfs_sysfs_add_server" },
	{ 0xa0f8a3ac, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd8ac38cc, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xdc8ad545, "nfs_do_submount" },
	{ 0x11b34749, "vfs_dup_fs_context" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0xf590451c, "request_key_with_auxdata" },
	{ 0x48b3ac38, "rpc_clone_client_set_auth" },
	{ 0xa7418d9c, "rpc_clone_client" },
	{ 0x261e7ed3, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x2bd576e9, "nfs_client_init_status" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xa663ce5c, "svc_rpcb_cleanup" },
	{ 0x4dea1053, "memchr" },
	{ 0x32bccc44, "user_describe" },
	{ 0x75a762c4, "put_fs_context" },
	{ 0xe48a5322, "nfs_retry_commit" },
	{ 0x87472a80, "nfs4_dentry_operations" },
	{ 0x98207c5b, "__module_put_and_kthread_exit" },
	{ 0xc14b4199, "rpc_peeraddr2str" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0x2dd3640a, "nfs_client_for_each_server" },
	{ 0x919ad0fd, "nfs_clear_inode" },
	{ 0xb3515587, "rpc_sleep_on_priority" },
	{ 0xcb8a731d, "nfs_invalidate_atime" },
	{ 0xdc3c58b6, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x5d1246b1, "nfs_umount_begin" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0xd59a101a, "nfs_getattr" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x1b45bb32, "nfs_pageio_reset_write_mds" },
	{ 0xe194d8be, "kmem_cache_free" },
	{ 0x4c07971a, "nfs_generic_pg_test" },
	{ 0x85abc85f, "strncmp" },
	{ 0x5491f5a0, "xdr_stream_subsegment" },
	{ 0x85c8e714, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x513a6809, "nfs_fscache_open_file" },
	{ 0xb8f677d7, "from_kgid" },
	{ 0xe9e7c87e, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xb7572c83, "nfs_write_inode" },
	{ 0xee58632a, "nfs_request_remove_commit_list" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x706733d3, "rpc_wake_up_first" },
	{ 0xcbe4fa56, "alloc_nfs_open_context" },
	{ 0x459550c9, "list_lru_add_obj" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x4d6f7412, "vfs_parse_fs_param" },
	{ 0x53d1e1aa, "nfs_path" },
	{ 0x3985ddee, "rpc_sleep_on_priority_timeout" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf35ff14c, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x56d37596, "register_nfs_version" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x8d470d6c, "rpc_sleep_on_timeout" },
	{ 0xd281adcd, "list_lru_count_one" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x6b85384, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xd1c09f52, "rpc_call_start" },
	{ 0x2efb32d4, "xprt_setup_backchannel" },
	{ 0xf954fc72, "bpf_trace_run1" },
	{ 0x2b47755, "svc_create" },
	{ 0x672128ee, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xde025906, "nfs_file_set_open_context" },
	{ 0x14393e5d, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x35307f19, "rpc_call_sync" },
	{ 0x93cc2ed3, "from_kuid" },
	{ 0xc8c3648b, "rpc_put_task_async" },
	{ 0xb1d064ce, "rpc_prepare_reply_pages" },
	{ 0x769ed27, "rpc_queue_upcall" },
	{ 0xbb02c65, "nfs_free_server" },
	{ 0x3ea8f68a, "fc_mount" },
	{ 0x8210a9db, "register_sysctl_sz" },
	{ 0x7f76bc31, "nfs_setattr" },
	{ 0xea909cfd, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9cedbd36, "nfs4_fs_type" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x84737ee7, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x5020a51, "rpc_delay" },
	{ 0x556ad9bc, "nfs_flock" },
	{ 0x59dd2289, "__list_lru_init" },
	{ 0x6601d7ed, "kmem_cache_alloc_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x92f49682, "svc_generic_init_request" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x90f9121f, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x2da163a2, "rpc_exit" },
	{ 0xfbf67f0c, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xca4cc155, "rpc_remove_pipe_dir_object" },
	{ 0x36c61dc, "nfs_may_open" },
	{ 0xc21bcadf, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x3f95e913, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x103bafd6, "down_read" },
	{ 0xeb0a35db, "xdr_reserve_space" },
	{ 0x3ad225b8, "rpcauth_lookupcred" },
	{ 0xe798236d, "jiffies" },
	{ 0xfed3f251, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x93771499, "nfs_rmdir" },
	{ 0x5051fb99, "bpf_trace_run3" },
	{ 0x91348e60, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8574bb03, "trace_print_flags_seq" },
	{ 0x2a25f3a4, "nfs_filemap_write_and_wait_range" },
	{ 0x9eced6fb, "rpc_mkpipe_dentry" },
	{ 0x8c9f038d, "alloc_file_pseudo" },
	{ 0xc048f9ea, "rpc_mkpipe_data" },
	{ 0xd8adf885, "rpc_add_pipe_dir_object" },
	{ 0xefd243f2, "igrab" },
	{ 0x8f7f20f9, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4dbdad15, "nfs_async_iocounter_wait" },
	{ 0xa8721581, "nfs_file_read" },
	{ 0xd9c38835, "trace_event_buffer_reserve" },
	{ 0xb019eec8, "nfs_alloc_fattr_with_label" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x50251b4d, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x6e5c2590, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf53e6a5a, "nfs_setattr_update_inode" },
	{ 0xc0e375af, "nfs_instantiate" },
	{ 0x13405381, "init_user_ns" },
	{ 0x48b622c9, "rpc_uaddr2sockaddr" },
	{ 0x68d8ac74, "user_read" },
	{ 0x726f07a3, "rpc_restart_call" },
	{ 0xb374330c, "request_key_tag" },
	{ 0x804b9f12, "xprt_force_disconnect" },
	{ 0x45c04efa, "user_free_preparse" },
	{ 0xd838f22a, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x963da2c8, "svc_xprt_destroy_all" },
	{ 0xbf4111aa, "generic_key_instantiate" },
	{ 0x9e018a70, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x3437c69a, "nfs_link" },
	{ 0xb0402a79, "__folio_put" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x8fc97b0c, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xcd0c26cf, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf09bb4a2, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5bcc849c, "xdr_stream_move_subsegment" },
	{ 0x8664f075, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x1ad6a59, "nfs_post_op_update_inode_force_wcc" },
	{ 0x13457d7b, "nfs_pgheader_init" },
	{ 0x46c4723c, "put_nfs_open_context" },
	{ 0x5360205, "nfs_show_path" },
	{ 0x10b93a74, "nfs_show_devname" },
	{ 0x91845ae6, "nfs_permission" },
	{ 0x1c0ffeb, "nfs_initiate_commit" },
	{ 0x6b7c3d2a, "truncate_inode_pages_range" },
	{ 0xc9b25076, "__put_user_ns" },
	{ 0xe7e12522, "alloc_pages_noprof" },
	{ 0x47166de9, "cred_fscmp" },
	{ 0xebbb653a, "rpc_unlink" },
	{ 0xf4a99cfc, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x9b9bf749, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0xf7d93b2b, "node_data" },
	{ 0xd372bcf0, "nfs_probe_server" },
	{ 0x5bbe4738, "nfs_setsecurity" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x716a370b, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x20f32b79, "rpc_clnt_test_and_add_xprt" },
	{ 0xa698daef, "file_ra_state_init" },
	{ 0x799fcd59, "nfs_force_lookup_revalidate" },
	{ 0xdc97b7b9, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x6bcf7162, "rpc_clnt_add_xprt" },
	{ 0x54a787ae, "dget_parent" },
	{ 0x98c22074, "from_kuid_munged" },
	{ 0xa1bceee0, "prepare_kernel_cred" },
	{ 0x372bef69, "nfs_alloc_server" },
	{ 0xc48fb09c, "rpc_call_async" },
	{ 0x2945229b, "security_dentry_init_security" },
	{ 0xb3abcb7, "filemap_write_and_wait_range" },
	{ 0x43d91aee, "list_lru_del_obj" },
	{ 0x192df028, "nfs_server_insert_lists" },
	{ 0xea6a461a, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x76ca7e5d, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xbd936503, "rpc_init_pipe_dir_object" },
	{ 0xb84d4107, "bpf_trace_run7" },
	{ 0x9f60b822, "nfs_refresh_inode" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x9816aa4f, "nfs_init_server_rpcclient" },
	{ 0xb8286c3b, "__mark_inode_dirty" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xa0f7dcf4, "rpc_set_connect_timeout" },
	{ 0x501379ce, "rpcauth_create" },
	{ 0xe45af6e7, "xdr_stream_pos" },
	{ 0x6d880037, "__kvmalloc_node_noprof" },
	{ 0x190424be, "key_set_timeout" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xf9e58289, "svc_xprt_create" },
	{ 0x1aaf556b, "nfs42_ssc_register" },
	{ 0x3ccbd0e1, "rpc_wait_for_completion_task" },
	{ 0x4d4a896f, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x57692e6a, "rpc_num_bc_slots" },
	{ 0x3d410ad7, "nfs_alloc_inode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0xf0f681e, "security_inode_listsecurity" },
	{ 0x2f421816, "nfs_fhget" },
	{ 0x3e2f558, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8928d48c, "locks_copy_lock" },
	{ 0x3354e80f, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xea80a18e, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9d876adb, "nfs_set_verifier" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "A7CC6ADBB1335EEBEDBF552");
MODULE_INFO(rhelversion, "10.0");
