#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0xbb00d806, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x4fcbd397, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xb83c78bf, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xaf3d8c4f, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xb0d17e53, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3807ddfe, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xcc49c73, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xff4e49bb, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x7b4dede7, "skb_copy_bits" },
	{ 0xa298dc91, "inet_unregister_protosw" },
	{ 0x3761d215, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x5dcadaed, "sock_wfree" },
	{ 0xb9a39596, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x5a14b187, "__fl6_sock_lookup" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x927e3c96, "__kmalloc_noprof" },
	{ 0x940065bb, "ip6_dst_hoplimit" },
	{ 0x833b5467, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x627c4e5f, "inet6_add_offload" },
	{ 0xecdbeb58, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf265809f, "inet6_bind" },
	{ 0xd3af979c, "memdup_user" },
	{ 0xec6d69be, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x989afabd, "l3mdev_fib_table_by_index" },
	{ 0xa286d96c, "udp_sock_create4" },
	{ 0xb2710db0, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x8db53b3c, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x3ff0a9c4, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x89b3681c, "skb_segment" },
	{ 0x7cb4aa2b, "trace_event_printf" },
	{ 0xa23465c5, "__ip_dev_find" },
	{ 0x96057c98, "udp_tunnel6_xmit_skb" },
	{ 0xd77b1d95, "sock_common_getsockopt" },
	{ 0x437b4ba2, "inet_bind" },
	{ 0x14aaa5ef, "sock_create" },
	{ 0x8a51f087, "net_hotdata" },
	{ 0xaf581dec, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x1fa04ac, "fd_install" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4f9f9bad, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcc0f4c5, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xf269516c, "inet_register_protosw" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x201800d2, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xe6aef439, "__tracepoint_sk_data_ready" },
	{ 0x99310d11, "bpf_trace_run2" },
	{ 0xb6a1fc87, "sock_common_setsockopt" },
	{ 0x7b17f0ee, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xc4692860, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x6cd4ec43, "kmem_cache_create" },
	{ 0x5c71c960, "__sk_mem_schedule" },
	{ 0xbc4c4ba, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x7f90ad9e, "sock_alloc_file" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xa4f84b6, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xbcefbe99, "sk_error_report" },
	{ 0x4e2a98f7, "register_pernet_subsys" },
	{ 0xf263a8dd, "put_cmsg" },
	{ 0x97a2cc0d, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x7743d217, "register_net_sysctl_sz" },
	{ 0x104cf251, "inet_sock_destruct" },
	{ 0xed8164cb, "crypto_destroy_tfm" },
	{ 0xeba5ae41, "sock_kmalloc" },
	{ 0xa97989bb, "inet_sk_get_local_port_range" },
	{ 0x4649ddb5, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x70125052, "inet_getname" },
	{ 0xe3ed6d41, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xfdc09f3e, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xe7402b99, "__alloc_skb" },
	{ 0xc94fdebf, "__genradix_ptr" },
	{ 0x7f436487, "inet_release" },
	{ 0x12294c32, "proto_register" },
	{ 0xf4258bbc, "skb_copy_expand" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xd79c513d, "inet6_compat_ioctl" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x800473f, "__cond_resched" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xc0d6e305, "inet_ctl_sock_create" },
	{ 0x1e3b3051, "inet_ioctl" },
	{ 0xd0b4514, "reuseport_add_sock" },
	{ 0xf6468fa5, "reuseport_select_sock" },
	{ 0x956254ce, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xbd53d8be, "sk_filter_trim_cap" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xf7632f0, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0xa0f8a3ac, "fput" },
	{ 0x28d1b5e7, "__traceiter_sk_data_ready" },
	{ 0x6be3746d, "inet_accept" },
	{ 0xa778cb8a, "init_net" },
	{ 0x24ce4ef2, "crypto_shash_setkey" },
	{ 0xa1bbbdbd, "skb_pull" },
	{ 0xc230b12e, "inet_add_offload" },
	{ 0xf0e8f342, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6b7f9d4f, "inet_add_protocol" },
	{ 0xbbfdf69d, "inet_shutdown" },
	{ 0x8080fa14, "sk_free" },
	{ 0xc4f2d330, "sock_wake_async" },
	{ 0xc4f36629, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0xdcb7c9d7, "inet_del_offload" },
	{ 0x544956a4, "skb_push" },
	{ 0xc55fa036, "__ip_queue_xmit" },
	{ 0xe194d8be, "kmem_cache_free" },
	{ 0xd9a069ad, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x456b616, "proc_doulongvec_minmax" },
	{ 0xe9e7c87e, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x2a7ab347, "ns_capable" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x2c2bb154, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x18005259, "inet6_ioctl" },
	{ 0xe0a7478c, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0xb35e1527, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0x520be438, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xd64b5b8c, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x24f6de79, "ip6_dst_lookup_flow" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x8b19f3f3, "sock_no_socketpair" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9eeb39e9, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x6601d7ed, "kmem_cache_alloc_noprof" },
	{ 0x797f13ad, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xbe9dcf2c, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xf0c17720, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x826c553d, "setup_udp_tunnel_sock" },
	{ 0x47ae3896, "udp_sock_create6" },
	{ 0x64ca5bca, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x907363b3, "sk_common_release" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x5051fb99, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xcd889ff0, "inet6_getname" },
	{ 0xcbe1f187, "sock_i_ino" },
	{ 0x52373c77, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x29222959, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xc7700cfb, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7c24e239, "rhltable_init_noprof" },
	{ 0xb0fd1aef, "pcpu_alloc_noprof" },
	{ 0x6c4f1f37, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd9c38835, "trace_event_buffer_reserve" },
	{ 0xd262bd2e, "__skb_checksum" },
	{ 0x514a0384, "reuseport_alloc" },
	{ 0x905c6792, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x49041bc0, "inet6_release" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x701cec23, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x905d0b2c, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x85ed6daf, "ipv6_dup_options" },
	{ 0x183dfed2, "seq_write" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf9cf6fdc, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0653b9a, "seq_printf" },
	{ 0x25af85ae, "proc_create_net_single" },
	{ 0xc2861b55, "skb_copy" },
	{ 0x8d053777, "skb_clone" },
	{ 0xf3f5f37d, "inet_sk_set_state" },
	{ 0x1fc8b970, "dst_release" },
	{ 0x45aa3777, "_copy_from_iter" },
	{ 0x5a0a0785, "sock_release" },
	{ 0xacbdb3d4, "inet_recv_error" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0xf4ee5d9b, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x8ca7f321, "_proc_mkdir" },
	{ 0x7eeb0e0b, "sk_setup_caps" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xfde14c5f, "send_sig" },
	{ 0x2a466c58, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x774b5ca2, "inet6_add_protocol" },
	{ 0x98c22074, "from_kuid_munged" },
	{ 0x74a9c025, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x14f12195, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9bd54360, "ipv6_getsockopt" },
	{ 0xccc39358, "reuseport_detach_sock" },
	{ 0x90d5b51e, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xe6a7e96a, "iov_iter_revert" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0x482eab7e, "crypto_alloc_shash" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe10801b0, "sock_init_data" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0x3354e80f, "kmem_cache_destroy" },
	{ 0xfeb22df7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x57ac842f, "skb_queue_head" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "437240A56349F0C4E60A76C");
MODULE_INFO(rhelversion, "10.0");
