#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x3925c2f9, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0xa6342862, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x592fc04b, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x01ec4dcf, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0x5beb28ff, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x9c8f5af9, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x02c03a76, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0xed8c6a64, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x0bfb3bdb, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0xde8fd7b7, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x46a1466e, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xc316b4bb, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0xcdd8d7b3, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xe0bab027, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xee25c61b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0x75a29cb9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x0284c77c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0xebdecc8c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x1a1861d9, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0xc307bd58, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x90353e6b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x2c7e2fb1, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xf0d54285, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xb40ab88f, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0x129b3da0, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x81240a0d, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0xfd766192, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x8130c5d1, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x0f302031, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x74de3c12, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x5592b13d, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x97d65fcf, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x05127f9d, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x984d742b, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xb5ecd1bd, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x6bc1f52e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x86f35d72, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x96c2e426, "vsock_insert_connected" },
	{ 0xb9a39596, "skb_put" },
	{ 0x833b5467, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xec6d69be, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x3ff0a9c4, "__trace_trigger_soft_disabled" },
	{ 0xeffb9d84, "vsock_remove_sock" },
	{ 0x7cb4aa2b, "trace_event_printf" },
	{ 0x727aa301, "vsock_deliver_tap" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x4f9f9bad, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbcefbe99, "sk_error_report" },
	{ 0x97a2cc0d, "trace_event_buffer_commit" },
	{ 0x60bfb5b1, "vsock_find_bound_socket" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0xe7402b99, "__alloc_skb" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xf7632f0, "perf_trace_run_bpf_submit" },
	{ 0xf0e8f342, "sk_skb_reason_drop" },
	{ 0x8080fa14, "sk_free" },
	{ 0xe9e7c87e, "trace_event_reg" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x7f9b3f83, "__skb_recv_datagram" },
	{ 0x2c2bb154, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7a51fcab, "vsock_stream_has_data" },
	{ 0xe0a7478c, "skb_copy_datagram_iter" },
	{ 0x8cd89f03, "bpf_trace_run9" },
	{ 0xdedb4e97, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5f50e430, "sock_efree" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x73acdc5e, "bpf_trace_run10" },
	{ 0xa6c3f1d2, "vsock_core_get_transport" },
	{ 0x55827496, "__zerocopy_sg_from_iter" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x61aa6ded, "vsock_stream_has_space" },
	{ 0x6c4f1f37, "skb_set_owner_w" },
	{ 0xd9c38835, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x5b95fc01, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x45aa3777, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x9ca7811f, "msg_zerocopy_realloc" },
	{ 0x556cbba0, "vsock_create_connected" },
	{ 0x952c91e6, "vsock_assign_transport" },
	{ 0xe6a7e96a, "iov_iter_revert" },
	{ 0x66b968f6, "__s390_indirect_jump_r2" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x4de948b3, "iov_iter_npages" },
	{ 0xa48dfad9, "kmalloc_caches" },
	{ 0xfeb22df7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x98ff2a71, "vsock_data_ready" },
	{ 0x38175e11, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "B7AB3D40AC5002F62758AC0");
MODULE_INFO(rhelversion, "10.0");
